#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::col_1_4()
{
    event_func_172();
}
void Frames::event_func_173()
{
    // event 402_4
    {
        // group: Walker
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(9)) <= (0))) goto event_402_4_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_66_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_402_4_end: ;
}
void Frames::col_2_4()
{
    event_func_173();
}
void Frames::event_func_174()
{
    // event 702_4
    {
        ((Active*)((Active*)col_instance_1))->set_visible(false);
        ((Active*)((Active*)col_instance_2))->set_direction(24);
    }
    event_702_4_end: ;
}
void Frames::col_3_4()
{
    event_func_174();
}
void Frames::event_func_175()
{
    // event 200_4
    {
        media.play_id(SOUND_SPRING_4, -1, 1);
        media.set_sample_volume(SOUND_SPRING_4, global_values->get(12)*0.4);
    }
    event_200_4_end: ;
}
void Frames::col_4_4()
{
    event_func_175();
}
void Frames::event_func_176()
{
    // event 359_4
    {
        // group: Atom Bomb
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(9)) <= (0))) goto event_359_4_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(5));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_66_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_359_4_end: ;
}
void Frames::col_5_4()
{
    event_func_176();
}
void Frames::event_func_177()
{
    // event 205_4
    {
        media.play_id(SOUND_EYEBLOCK_14, -1, 1);
        media.set_sample_volume(SOUND_EYEBLOCK_14, 1*global_values->get(12));
    }
    event_205_4_end: ;
}
void Frames::col_6_4()
{
    event_func_177();
}
void Frames::event_func_178()
{
    // event 688_4
    {
        ((Active*)((Active*)col_instance_2))->destroy();
    }
    event_688_4_end: ;
}
void Frames::col_7_4()
{
    event_func_178();
}
void Frames::event_func_179()
{
    // event 752_4
    {
        // group: Platform Spawners
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (0))) goto event_752_4_end;
        screen_122_instances.clear_selection();
        if (!check_overlap(screen_122_instances, ((Active*)col_instance_2))) goto event_752_4_end;
        if (!(((Active*)col_instance_2)->test_animation(0))) goto event_752_4_end;
        bullet_95_instances.clear_selection();
        for (ObjectIterator it(bullet_95_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(5, 1); // 'Bullet'
        }
        FrameObject * single_instance_752_4_0; single_instance_752_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_movingplatform_70(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_752_4_0 == NULL)
                single_instance_752_4_0 = new_obj;
        }
        FrameObject * single_instance_752_4_1; single_instance_752_4_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_platform2_71(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_752_4_1 == NULL)
                single_instance_752_4_1 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->force_animation(1);
        media.play_id(SOUND_SPWNPLAT16MONO_18, -1, 1);
        media.set_sample_volume(SOUND_SPWNPLAT16MONO_18, 0.5*global_values->get(12));
    }
    event_752_4_end: ;
}
void Frames::event_func_180()
{
    // event 757_4
    {
        // group: Platform Spawners
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (1))) goto event_757_4_end;
        screen_122_instances.clear_selection();
        if (!check_overlap(screen_122_instances, ((Active*)col_instance_2))) goto event_757_4_end;
        if (!(((Active*)col_instance_2)->test_animation(0))) goto event_757_4_end;
        FrameObject * single_instance_757_4_0; single_instance_757_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_vertplatform_79(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_757_4_0 == NULL)
                single_instance_757_4_0 = new_obj;
        }
        FrameObject * single_instance_757_4_1; single_instance_757_4_1 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_vertdetector_80(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_757_4_1 == NULL)
                single_instance_757_4_1 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->force_animation(1);
        media.play_id(SOUND_SPWNPLAT16MONO_18, -1, 1);
        media.set_sample_volume(SOUND_SPWNPLAT16MONO_18, 0.5*global_values->get(12));
    }
    event_757_4_end: ;
}
void Frames::col_8_4()
{
    event_func_179();
    event_func_180();
}
void Frames::event_func_181()
{
    // event 283_4
    {
        ((Active*)((Active*)col_instance_1))->get_movement()->bounce(Movement::COLLISION);
    }
    event_283_4_end: ;
}
void Frames::col_9_4()
{
    event_func_181();
}
void Frames::event_func_182()
{
    // event 683_4
    {
        ((Active*)((Active*)col_instance_2))->set_direction(16);
        ((Active*)((Active*)col_instance_1))->set_visible(false);
    }
    event_683_4_end: ;
}
void Frames::col_12_4()
{
    event_func_182();
}
void Frames::col_13_4()
{
    event_func_180();
}
void Frames::event_func_183()
{
    // event 226_4
    {
        // group: Sounds
        screen_122_instances.clear_selection();
        if (!check_overlap(((Active*)col_instance_2), screen_122_instances)) goto event_226_4_end;
        media.set_sample_volume(SOUND_RICOCHET_27, 0.3*global_values->get(12));
        media.stop_sample(SOUND_RICOCHET_27);
        media.play_id(SOUND_RICOCHET_27, -1, 1);
        media.set_sample_volume(SOUND_RICOCHET_27, global_values->get(12)*0.3);
    }
    event_226_4_end: ;
}
void Frames::event_func_184()
{
    // event 692_4
    {
        // group: Laser redirectors
        if (!(((Active*)col_instance_2)->test_directions(254))) goto event_692_4_end;
        if (!(((Active*)col_instance_1)->test_directions(4026531855))) goto event_692_4_end;
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_692_4_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_692_4_0: ;
        }
        ((Active*)((Active*)col_instance_1))->set_direction(24);
    }
    event_692_4_end: ;
}
void Frames::event_func_185()
{
    // event 693_4
    {
        // group: Laser redirectors
        if (!(((Active*)col_instance_2)->test_directions(254))) goto event_693_4_end;
        if (!(((Active*)col_instance_1)->test_directions(4080))) goto event_693_4_end;
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_693_4_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_693_4_0: ;
        }
        ((Active*)((Active*)col_instance_1))->set_direction(16);
    }
    event_693_4_end: ;
}
void Frames::event_func_186()
{
    // event 694_4
    {
        // group: Laser redirectors
        if (!(((Active*)col_instance_2)->test_directions(4261412864))) goto event_694_4_end;
        if (!(((Active*)col_instance_1)->test_directions(4026531855))) goto event_694_4_end;
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_694_4_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_694_4_0: ;
        }
        ((Active*)((Active*)col_instance_1))->set_direction(8);
    }
    event_694_4_end: ;
}
void Frames::event_func_187()
{
    // event 695_4
    {
        // group: Laser redirectors
        if (!(((Active*)col_instance_2)->test_directions(4261412864))) goto event_695_4_end;
        if (!(((Active*)col_instance_1)->test_directions(267386880))) goto event_695_4_end;
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_695_4_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_695_4_0: ;
        }
        ((Active*)((Active*)col_instance_1))->set_direction(16);
    }
    event_695_4_end: ;
}
void Frames::event_func_188()
{
    // event 696_4
    {
        // group: Laser redirectors
        if (!(((Active*)col_instance_2)->test_directions(16646144))) goto event_696_4_end;
        if (!(((Active*)col_instance_1)->test_directions(1044480))) goto event_696_4_end;
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_696_4_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_696_4_0: ;
        }
        ((Active*)((Active*)col_instance_1))->set_direction(8);
    }
    event_696_4_end: ;
}
void Frames::event_func_189()
{
    // event 697_4
    {
        // group: Laser redirectors
        if (!(((Active*)col_instance_2)->test_directions(16646144))) goto event_697_4_end;
        if (!(((Active*)col_instance_1)->test_directions(267386880))) goto event_697_4_end;
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_697_4_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_697_4_0: ;
        }
        ((Active*)((Active*)col_instance_1))->set_direction(0);
    }
    event_697_4_end: ;
}
void Frames::event_func_190()
{
    // event 698_4
    {
        // group: Laser redirectors
        if (!(((Active*)col_instance_2)->test_directions(65024))) goto event_698_4_end;
        if (!(((Active*)col_instance_1)->test_directions(4080))) goto event_698_4_end;
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_698_4_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_698_4_0: ;
        }
        ((Active*)((Active*)col_instance_1))->set_direction(0);
    }
    event_698_4_end: ;
}
void Frames::event_func_191()
{
    // event 699_4
    {
        // group: Laser redirectors
        if (!(((Active*)col_instance_2)->test_directions(65024))) goto event_699_4_end;
        if (!(((Active*)col_instance_1)->test_directions(1044480))) goto event_699_4_end;
        {
            FrameObject * parent = ((Active*)col_instance_2);
            if (parent == NULL) goto pos_end_699_4_0;
            ((Active*)col_instance_1)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_699_4_0: ;
        }
        ((Active*)((Active*)col_instance_1))->set_direction(24);
    }
    event_699_4_end: ;
}
void Frames::col_14_4()
{
    event_func_183();
    event_func_184();
    event_func_185();
    event_func_186();
    event_func_187();
    event_func_188();
    event_func_189();
    event_func_190();
    event_func_191();
}
void Frames::event_func_192()
{
    // event 774_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        global_values->sub(10, -1);
        FrameObject * single_instance_774_4_0; single_instance_774_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_explosion_104(((Active*)col_instance_1)->x + 0, ((Active*)col_instance_1)->y + 0), ((Active*)col_instance_1)->layer);
            if (single_instance_774_4_0 == NULL)
                single_instance_774_4_0 = new_obj;
        }
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(0, ((Active*)col_instance_1)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(1, ((Active*)col_instance_1)->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(15);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_4();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_774_4_end: ;
}
void Frames::col_15_4()
{
    event_func_192();
}
void Frames::event_func_193()
{
    // event 785_4
    {
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(4, 1); // 'FrameDataStore'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(5, 1); // 'camera shaker'
    }
    event_785_4_end: ;
}
void Frames::col_16_4()
{
    event_func_193();
}
void Frames::event_func_194()
{
    // event 571_4
    {
        // group: Evil Eye
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) <= (0))) goto event_571_4_end;
        if (!((((Active*)get_instance(cameratarget_222_instances))->get_y()) > (((Active*)col_instance_2)->get_y()*((Active*)col_instance_2)->alterables->values.get(1)))) goto event_571_4_end;
        FrameObject * single_instance_571_4_0; single_instance_571_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyevileye_218(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_571_4_0 == NULL)
                single_instance_571_4_0 = new_obj;
        }
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 240); // 'spawner-evileye'
    }
    event_571_4_end: ;
}
void Frames::col_17_4()
{
    event_func_194();
}
void Frames::event_func_195()
{
    // event 357_4
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        FrameObject * single_instance_357_4_0; single_instance_357_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_bigexplosion_151(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_357_4_0 == NULL)
                single_instance_357_4_0 = new_obj;
        }
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(0, ((Active*)col_instance_2)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(1, ((Active*)col_instance_2)->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(5);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_4();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_357_4_end: ;
}
void Frames::col_18_4()
{
    event_func_195();
}
void Frames::event_func_196()
{
    // event 450_4
    {
        ((Active*)((Active*)col_instance_2))->set_direction(24);
    }
    event_450_4_end: ;
}
void Frames::col_19_4()
{
    event_func_196();
}
void Frames::event_func_197()
{
    // event 629_4
    {
        ((Active*)((Active*)col_instance_2))->alterables->flags.toggle(0);
        ((Active*)((Active*)col_instance_1))->destroy();
    }
    event_629_4_end: ;
}
void Frames::col_20_4()
{
    event_func_177();
    event_func_197();
}
void Frames::event_func_198()
{
    // event 746_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
    }
    event_746_4_end: ;
}
void Frames::col_21_4()
{
    event_func_198();
}
void Frames::event_func_199()
{
    // event 288_4
    {
        ((Active*)((Active*)col_instance_2))->get_movement()->set_speed(250);
        ((Active*)((Active*)col_instance_2))->set_direction(8);
        ((Active*)((Active*)col_instance_1))->force_animation(12);
        ((Active*)((Active*)col_instance_2))->get_movement()->set_gravity(8);
        ((Active*)((Active*)col_instance_2))->get_movement()->set_deceleration(0);
    }
    event_288_4_end: ;
}
void Frames::col_22_4()
{
    event_func_199();
}
void Frames::event_func_200()
{
    // event 509_4
    {
        ((Active*)((Active*)col_instance_2))->get_movement()->bounce(Movement::COLLISION);
        ((Active*)((Active*)col_instance_2))->get_movement()->set_speed(0);
    }
    event_509_4_end: ;
}
void Frames::col_23_4()
{
    event_func_200();
}
void Frames::event_func_201()
{
    // event 497_4
    {
        // group: Rock-It Ship
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(9)) <= (0))) goto event_497_4_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(1));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_66_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_497_4_end: ;
}
void Frames::col_24_4()
{
    event_func_201();
}
void Frames::event_func_202()
{
    // event 780_4
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        global_values->sub(10, -1);
        FrameObject * single_instance_780_4_0; single_instance_780_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_explosion_104(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_780_4_0 == NULL)
                single_instance_780_4_0 = new_obj;
        }
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(0, ((Active*)col_instance_2)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(1, ((Active*)col_instance_2)->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(15);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_4();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_780_4_end: ;
}
void Frames::col_25_4()
{
    event_func_202();
}
void Frames::event_func_203()
{
    // event 391_4
    {
        // group: Walker
        if (!((((Active*)col_instance_2)->alterables->values.get(3)) <= (0))) goto event_391_4_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.set(3, 250); // 'spawnerwalker'
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.add(2, 1); // 'FrameDataStore'
        FrameObject * single_instance_391_4_0; single_instance_391_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemywalker_170(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_391_4_0 == NULL)
                single_instance_391_4_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_391_4_0))->alterables->values.set(5, ((Active*)get_instance(framedatastore_157_instances))->alterables->values.get(2)); // 'enemy-walker'
        ((Active*)((Active*)single_instance_391_4_0))->alterables->values.set(6, -2); // 'enemy-walker'
        ((Active*)((Active*)single_instance_391_4_0))->alterables->values.set(4, ((Active*)single_instance_391_4_0)->get_x()); // 'enemy-walker'
    }
    event_391_4_end: ;
}
void Frames::col_26_4()
{
    event_func_203();
}
void Frames::event_func_204()
{
    // event 684_4
    {
        {
            FrameObject * parent = ((Active*)col_instance_1);
            if (parent == NULL) goto pos_end_684_4_0;
            ((Active*)col_instance_2)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_684_4_0: ;
        }
        ((Active*)((Active*)col_instance_2))->set_direction(24);
        ((Active*)((Active*)col_instance_2))->force_speed(100);
    }
    event_684_4_end: ;
}
void Frames::col_28_4()
{
    event_func_204();
}
void Frames::event_func_205()
{
    // event 418_4
    {
        ((Active*)((Active*)col_instance_2))->get_movement()->bounce(Movement::COLLISION);
    }
    event_418_4_end: ;
}
void Frames::col_29_4()
{
    event_func_205();
}
void Frames::event_func_206()
{
    // event 789_4
    {
        // group: Incentives
        if (!((global_values->get(0)) <= (90.0))) goto event_789_4_end;
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (0))) goto event_789_4_end;
        global_values->add(0, 10);
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
    }
    event_789_4_end: ;
}
void Frames::event_func_207()
{
    // event 793_4
    {
        // group: Incentives
        if (!((((Active*)col_instance_2)->alterables->values.get(0)) == (0))) goto event_793_4_end;
        ((Active*)((Active*)col_instance_2))->alterables->values.set(0, 1); // 'obj-bonus-time'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(2, 20); // 'camera shaker'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(3, 15); // 'camera shaker'
        media.play_id(SOUND_SQUEAKYBOOM_31, -1, 1);
        media.set_sample_volume(SOUND_SQUEAKYBOOM_31, 0.8*global_values->get(12));
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(0, ((Active*)col_instance_2)->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(1, ((Active*)col_instance_2)->get_y()); // 'FrameDataStore'
        global_values->add(2, 1);
        {
            loop_debris_confetti_running = true;
            int times = int(20);
            loop_debris_confetti_index = 0;
            while (loop_debris_confetti_index < times) {
                loop_debris_confetti_4();
                if (!loop_debris_confetti_running) break;
                loop_debris_confetti_index++;
            }
        }
        ((Active*)get_instance(uilivesactive_233_instances))->force_animation(12);
    }
    event_793_4_end: ;
}
void Frames::col_30_4()
{
    event_func_206();
    event_func_207();
}
void Frames::event_func_208()
{
    // event 330_4
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-floater'
        ((Active*)((Active*)col_instance_2))->force_animation(12);
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
    }
    event_330_4_end: ;
}
void Frames::col_31_4()
{
    event_func_208();
}
void Frames::event_func_209()
{
    // event 583_4
    {
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, -1); // 'spawner-evileye'
        ((Active*)((Active*)col_instance_1))->destroy();
    }
    event_583_4_end: ;
}
void Frames::col_32_4()
{
    event_func_209();
}
void Frames::event_func_210()
{
    // event 317_4
    {
        FrameObject * single_instance_317_4_0; single_instance_317_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_spikeshooter_121(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_317_4_0 == NULL)
                single_instance_317_4_0 = new_obj;
        }
    }
    event_317_4_end: ;
}
void Frames::col_33_4()
{
    event_func_210();
}
void Frames::event_func_211()
{
    // event 196_4
    {
        // group: Sounds
        if (not_always_196_4_0 > loop_count) {
            not_always_196_4_0 = loop_count + 2;
            goto event_196_4_end;
        }
        not_always_196_4_0 = loop_count + 2;
        media.play_id(SOUND_ENEMYHIT_3, 32-1);
        media.set_sample_volume(SOUND_ENEMYHIT_3, global_values->get(12)*0.45);
    }
    event_196_4_end: ;
}
void Frames::event_func_212()
{
    // event 440_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.sub(5, 1); // 'Bullet'
        ((Active*)((Active*)col_instance_2))->alterables->values.sub(1, ((Active*)col_instance_1)->alterables->values.get(4)); // 'enemy-blobulule-phase1'
        ((Active*)((Active*)col_instance_2))->force_animation(13);
    }
    event_440_4_end: ;
}
void Frames::col_34_4()
{
    event_func_211();
    event_func_212();
}
void Frames::event_func_213()
{
    // event 312_4
    {
        // group: Hoppy Enemy
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(9)) <= (0))) goto event_312_4_end;
        global_values->sub(0, ((Active*)col_instance_1)->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_66_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_312_4_end: ;
}
void Frames::col_35_4()
{
    event_func_213();
}
void Frames::event_func_214()
{
    // event 448_4
    {
        FrameObject * single_instance_448_4_0; single_instance_448_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyblobululephase1_185(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_448_4_0 == NULL)
                single_instance_448_4_0 = new_obj;
        }
        ((Active*)((Active*)single_instance_448_4_0))->alterables->values.set(2, ((Active*)single_instance_448_4_0)->get_y()); // 'enemy-blobulule-phase1'
    }
    event_448_4_end: ;
}
void Frames::col_36_4()
{
    event_func_214();
}
void Frames::event_func_215()
{
    // event 453_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.set(2, ((Active*)col_instance_1)->alterables->values.get(2)*-1); // 'enemy-mobilebrohoriz'
        ((Active*)((Active*)col_instance_1))->alterables->values.set(3, ((Active*)col_instance_1)->alterables->values.get(3)*-1); // 'enemy-mobilebrohoriz'
    }
    event_453_4_end: ;
}
void Frames::col_37_4()
{
    event_func_215();
}
void Frames::event_func_216()
{
    // event 486_4
    {
        // group: Zappa
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(9)) <= (0))) goto event_486_4_end;
        if (!(((Active*)col_instance_2)->test_animation(0))) goto event_486_4_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_66_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_486_4_end: ;
}
void Frames::col_38_4()
{
    event_func_216();
}
void Frames::event_func_217()
{
    // event 227_4
    {
        // group: Sounds
        screen_122_instances.clear_selection();
        if (!check_overlap(((Active*)col_instance_1), screen_122_instances)) goto event_227_4_end;
        media.stop_sample(SOUND_EYEBLOCK_ALT_29);
        media.play_id(SOUND_EYEBLOCK_ALT_29, -1, 1);
        media.set_sample_volume(SOUND_EYEBLOCK_ALT_29, global_values->get(12)*0.18);
    }
    event_227_4_end: ;
}
void Frames::event_func_218()
{
    // event 624_4
    {
        // group: Eyeblock
        if (!check_overlap(((Active*)col_instance_2), ((Active*)col_instance_1))) goto event_624_4_end;
        if (!((((Active*)col_instance_1)->get_frame()) > (2))) goto event_624_4_end;
        ((Active*)((Active*)col_instance_1))->alterables->flags.toggle(0);
    }
    event_624_4_end: ;
}
void Frames::col_39_4()
{
    event_func_217();
    event_func_218();
}
void Frames::event_func_219()
{
    // event 666_4
    {
        ((Active*)((Active*)col_instance_1))->alterables->values.set(12, 1200); // 'Player'
    }
    event_666_4_end: ;
}
void Frames::col_41_4()
{
    event_func_219();
}
void Frames::event_func_220()
{
    // event 201_4
    {
        // group: Sounds
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_201_4_end;
        media.play_id(SOUND_SPRING_4, -1, 1);
        media.set_sample_volume(SOUND_SPRING_4, global_values->get(12)*0.4);
    }
    event_201_4_end: ;
}
void Frames::col_42_4()
{
    event_func_220();
}
void Frames::event_func_221()
{
    // event 250_4
    {
        ((Active*)((Active*)col_instance_2))->destroy();
        FrameObject * single_instance_250_4_0; single_instance_250_4_0 = NULL;
        // select single: true false false
        {
            FrameObject * new_obj;
            new_obj = add_object(create_enemyexplosion_152(((Active*)col_instance_2)->x + 0, ((Active*)col_instance_2)->y + 0), ((Active*)col_instance_2)->layer);
            if (single_instance_250_4_0 == NULL)
                single_instance_250_4_0 = new_obj;
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(2, 10); // 'camera shaker'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(3, 10); // 'camera shaker'
    }
    event_250_4_end: ;
}
void Frames::col_43_4()
{
    event_func_221();
}
void Frames::event_func_222()
{
    // event 686_4
    {
        {
            FrameObject * parent = ((Active*)col_instance_1);
            if (parent == NULL) goto pos_end_686_4_0;
            ((Active*)col_instance_2)->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_686_4_0: ;
        }
        ((Active*)((Active*)col_instance_2))->set_direction(8);
        ((Active*)((Active*)col_instance_2))->force_speed(100);
    }
    event_686_4_end: ;
}
void Frames::col_44_4()
{
    event_func_222();
}
void Frames::event_func_223()
{
    // event 585_4
    {
        ((Active*)((Active*)col_instance_1))->destroy();
        ((Active*)((Active*)col_instance_2))->alterables->values.set(1, -1); // 'spawner-snipereye'
    }
    event_585_4_end: ;
}
void Frames::col_45_4()
{
    event_func_223();
}
void Frames::event_func_224()
{
    // event 630_4
    {
        ((Active*)((Active*)col_instance_2))->alterables->flags.toggle(0);
    }
    event_630_4_end: ;
}
void Frames::col_47_4()
{
    event_func_177();
    event_func_224();
}
void Frames::event_func_225()
{
    // event 284_4
    {
        bullet_95_instances.clear_selection();
        for (ObjectIterator it(bullet_95_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        ((Active*)((Active*)col_instance_1))->force_animation(12);
        ((Active*)((Active*)col_instance_2))->destroy();
    }
    event_284_4_end: ;
}
void Frames::col_48_4()
{
    event_func_225();
}
void Frames::event_func_226()
{
    // event 704_4
    {
        ((Active*)((Active*)col_instance_1))->set_visible(false);
        ((Active*)((Active*)col_instance_2))->set_direction(8);
    }
    event_704_4_end: ;
}
void Frames::col_49_4()
{
    event_func_226();
}
void Frames::event_func_227()
{
    // event 369_4
    {
        // group: Chomper
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(9)) <= (0))) goto event_369_4_end;
        global_values->sub(0, ((Active*)col_instance_2)->alterables->values.get(3));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_66_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_369_4_end: ;
}
void Frames::event_func_228()
{
    // event 377_4
    {
        ((Active*)get_instance(player_66_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(9, 75); // 'Player'
        ((Active*)((Active*)col_instance_2))->destroy();
    }
    event_377_4_end: ;
}
