#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_337()
{
    // event 7_4
    {
        // group: Gravity/Jump
        detector_67_instances.clear_selection();
        spring_77_instances.clear_selection();
        if (!check_overlap(detector_67_instances, spring_77_instances)) goto event_7_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) > (0))) goto event_7_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(0, -12); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(2, 1); // 'Player'
        for (ObjectIterator it(spring_77_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_7_4_end: ;
}
void Frames::event_func_338()
{
    // event 8_4
    {
        // group: Gravity/Jump
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) != (0))) goto event_8_4_end;
        {
            loop_gravity_running = true;
            int times = int(get_abs(((Active*)get_instance(player_66_instances))->alterables->values.get(0)));
            loop_gravity_index = 0;
            while (loop_gravity_index < times) {
                loop_gravity_4();
                if (!loop_gravity_running) break;
                loop_gravity_index++;
            }
        }
    }
    event_8_4_end: ;
}
void Frames::event_func_339()
{
    // event 9_4
    {
        // group: Gravity/Jump
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_9_4_end;
        if (!(((Active*)get_instance(detector_67_instances))->overlaps_background())) goto event_9_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_9_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_9_4_end: ;
}
void Frames::event_func_340()
{
    // event 10_4
    {
        // group: Gravity/Jump
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_10_4_end;
        detector_67_instances.clear_selection();
        platform_68_instances.clear_selection();
        if (!check_overlap(detector_67_instances, platform_68_instances)) goto event_10_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_10_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_10_4_end: ;
}
void Frames::event_func_341()
{
    // event 11_4
    {
        // group: Gravity/Jump
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_11_4_end;
        detector_67_instances.clear_selection();
        platform2_71_instances.clear_selection();
        if (!check_overlap(detector_67_instances, platform2_71_instances)) goto event_11_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_11_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_11_4_end: ;
}
void Frames::event_func_342()
{
    // event 12_4
    {
        // group: Gravity/Jump
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_12_4_end;
        detector_67_instances.clear_selection();
        tntstatic_105_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntstatic_105_instances)) goto event_12_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_12_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_12_4_end: ;
}
void Frames::event_func_343()
{
    // event 13_4
    {
        // group: Gravity/Jump
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_13_4_end;
        detector_67_instances.clear_selection();
        tntconveyor_113_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntconveyor_113_instances)) goto event_13_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_13_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_13_4_end: ;
}
void Frames::event_func_344()
{
    // event 22_4
    {
        // group: Gravity/Jump
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_22_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_22_4_end;
        if (!((global_values->get(1)) == (1))) goto event_22_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(18)) == (1))) goto event_22_4_end;
        if (!((((Active*)get_instance(framedatastore_157_instances))->alterables->values.get(5)) == (0))) goto event_22_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(0, -7); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(2, 0); // 'Player'
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(5, 1); // 'FrameDataStore'
    }
    event_22_4_end: ;
}
void Frames::event_func_345()
{
    // event 23_4
    {
        // group: Gravity/Jump
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(18)) == (0))) goto event_23_4_end;
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(5, 0); // 'FrameDataStore'
    }
    event_23_4_end: ;
}
void Frames::event_func_346()
{
    // event 24_4
    {
        // group: Horizontal
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_24_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) == (0))) goto event_24_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_24_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(1, -3); // 'Player'
    }
    event_24_4_end: ;
}
void Frames::event_func_347()
{
    // event 25_4
    {
        // group: Horizontal
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_25_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) == (0))) goto event_25_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_25_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(1, 3); // 'Player'
    }
    event_25_4_end: ;
}
void Frames::event_func_348()
{
    // event 26_4
    {
        // group: Horizontal
        if (is_player_pressed(1, CONTROL_LEFT)) goto event_26_4_end;
        if (is_player_pressed(1, CONTROL_RIGHT)) goto event_26_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(7)) == (0))) goto event_26_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) == (0))) goto event_26_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(1, 0); // 'Player'
    }
    event_26_4_end: ;
}
void Frames::event_func_349()
{
    // event 27_4
    {
        // group: Horizontal
        detector_67_instances.clear_selection();
        platform2_71_instances.clear_selection();
        if (!check_overlap(detector_67_instances, platform2_71_instances)) goto event_27_4_end;
        movingplatform_70_instances.clear_selection();
        if (!check_overlap(platform2_71_instances, movingplatform_70_instances)) goto event_27_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_27_4_end;
        if (((Active*)get_instance(detector_67_instances))->overlaps_background()) goto event_27_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.add(1, ((Active*)get_single(movingplatform_70_instances, default_active_instance))->alterables->values.get(0)); // 'Player'
    }
    event_27_4_end: ;
}
void Frames::event_func_350()
{
    // event 28_4
    {
        // group: Horizontal
        detector_67_instances.clear_selection();
        conveyorr_74_instances.clear_selection();
        if (!check_overlap(detector_67_instances, conveyorr_74_instances)) goto event_28_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_28_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.add(1, 2); // 'Player'
    }
    event_28_4_end: ;
}
void Frames::event_func_351()
{
    // event 29_4
    {
        // group: Horizontal
        detector_67_instances.clear_selection();
        conveyorl_73_instances.clear_selection();
        if (!check_overlap(detector_67_instances, conveyorl_73_instances)) goto event_29_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_29_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.sub(1, 2); // 'Player'
    }
    event_29_4_end: ;
}
void Frames::event_func_352()
{
    // event 30_4
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(1)) != (0))) goto event_30_4_end;
        {
            loop_horiz_running = true;
            int times = int(get_abs(((Active*)get_instance(player_66_instances))->alterables->values.get(1)));
            loop_horiz_index = 0;
            while (loop_horiz_index < times) {
                loop_horiz_4();
                if (!loop_horiz_running) break;
                loop_horiz_index++;
            }
        }
    }
    event_30_4_end: ;
}
void Frames::event_func_353()
{
    // event 35_4
    {
        // group: Horizontal
        if (!(is_player_pressed_once(1, CONTROL_BUTTON3))) goto event_35_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) == (0))) goto event_35_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(1))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_35_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_35_4_end;
        if (!((global_values->get(4)) == (1))) goto event_35_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, 16); // 'Player'
    }
    event_35_4_end: ;
}
void Frames::event_func_354()
{
    // event 36_4
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) > (0))) goto event_36_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.sub(4, 1); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(1, 9); // 'Player'
    }
    event_36_4_end: ;
}
void Frames::event_func_355()
{
    // event 37_4
    {
        // group: Horizontal
        if (!(is_player_pressed_once(1, CONTROL_BUTTON3))) goto event_37_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) == (0))) goto event_37_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(65536))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_37_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_37_4_end;
        if (!((global_values->get(4)) == (1))) goto event_37_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, -16); // 'Player'
    }
    event_37_4_end: ;
}
void Frames::event_func_356()
{
    // event 38_4
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) < (0))) goto event_38_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.sub(4, -1); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(1, -9); // 'Player'
    }
    event_38_4_end: ;
}
void Frames::event_func_357()
{
    // event 39_4
    {
        // group: Horizontal
        if (((Active*)get_instance(detector_67_instances))->overlaps_background()) goto event_39_4_end;
        detector_67_instances.clear_selection();
        if (!check_not_overlap(detector_67_instances, dissappear_127_instances)) goto event_39_4_end;
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_39_4_end;
        if (!check_not_overlap(detector_67_instances, movingplatform_70_instances)) goto event_39_4_end;
        if (!check_not_overlap(detector_67_instances, objenemygate_209_instances)) goto event_39_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(18, 1); // 'Player'
    }
    event_39_4_end: ;
}
void Frames::event_func_358()
{
    // event 40_4
    {
        // group: Horizontal
        detector_67_instances.clear_selection();
        if (!check_not_overlap(detector_67_instances, objeyeblock_143_instances)) goto event_40_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(18, 1); // 'Player'
    }
    event_40_4_end: ;
}
void Frames::event_func_359()
{
    // event 41_4
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(18)) == (1))) goto event_41_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) == (1))) goto event_41_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.add(4, 1); // 'Player'
    }
    event_41_4_end: ;
}
void Frames::event_func_360()
{
    // event 42_4
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(18)) == (1))) goto event_42_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) == (-1))) goto event_42_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.add(4, -1); // 'Player'
    }
    event_42_4_end: ;
}
void Frames::event_func_361()
{
    // event 43_4
    bool or_result_43_4 = false;
    bool or_temp_result_43_4_0 = false;
    {
        // group: Horizontal
        detector_67_instances.clear_selection();
        for (ObjectIterator it(detector_67_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
        }
        if (!detector_67_instances.has_selection()) goto or_event_43_4_0_end;
        or_result_43_4 = true;
        or_temp_result_43_4_0 = true;
    }
    or_event_43_4_0_end: ;
    detector_67_instances.clear_saved_selection();
    if (or_temp_result_43_4_0) {
        detector_67_instances.save_selection();
    }
    // event 43_4
    bool or_temp_result_43_4_1 = false;
    {
        // group: Horizontal
        detector_67_instances.clear_selection();
        movingplatform_70_instances.clear_selection();
        if (!check_overlap(detector_67_instances, movingplatform_70_instances)) goto or_event_43_4_1_end;
        or_result_43_4 = true;
        or_temp_result_43_4_1 = true;
    }
    or_event_43_4_1_end: ;
    movingplatform_70_instances.clear_saved_selection();
    if (or_temp_result_43_4_1) {
        detector_67_instances.save_selection();
        movingplatform_70_instances.save_selection();
    }
    // event 43_4
    bool or_temp_result_43_4_2 = false;
    {
        // group: Horizontal
        detector_67_instances.clear_selection();
        vertdetector_80_instances.clear_selection();
        if (!check_overlap(detector_67_instances, vertdetector_80_instances)) goto or_event_43_4_2_end;
        or_result_43_4 = true;
        or_temp_result_43_4_2 = true;
    }
    or_event_43_4_2_end: ;
    vertdetector_80_instances.clear_saved_selection();
    if (or_temp_result_43_4_2) {
        detector_67_instances.save_selection();
        vertdetector_80_instances.save_selection();
    }
    // event 43_4
    bool or_temp_result_43_4_3 = false;
    {
        // group: Horizontal
        detector_67_instances.clear_selection();
        dissappear_127_instances.clear_selection();
        if (!check_overlap(detector_67_instances, dissappear_127_instances)) goto or_event_43_4_3_end;
        or_result_43_4 = true;
        or_temp_result_43_4_3 = true;
    }
    or_event_43_4_3_end: ;
    dissappear_127_instances.clear_saved_selection();
    if (or_temp_result_43_4_3) {
        detector_67_instances.save_selection();
        dissappear_127_instances.save_selection();
    }
    // event 43_4
    bool or_temp_result_43_4_4 = false;
    {
        // group: Horizontal
        detector_67_instances.clear_selection();
        objeyeblock_143_instances.clear_selection();
        if (!check_overlap(detector_67_instances, objeyeblock_143_instances)) goto or_event_43_4_4_end;
        for (ObjectIterator it(objeyeblock_143_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->alterables->flags.is_off(0))) { it.deselect(); continue; }
        }
        if (!objeyeblock_143_instances.has_selection()) goto or_event_43_4_4_end;
        or_result_43_4 = true;
        or_temp_result_43_4_4 = true;
    }
    or_event_43_4_4_end: ;
    objeyeblock_143_instances.clear_saved_selection();
    if (or_temp_result_43_4_4) {
        detector_67_instances.save_selection();
        objeyeblock_143_instances.save_selection();
    }
    // event 43_4
    bool or_temp_result_43_4_5 = false;
    {
        // group: Horizontal
        detector_67_instances.clear_selection();
        objenemygate_209_instances.clear_selection();
        if (!check_overlap(detector_67_instances, objenemygate_209_instances)) goto or_event_43_4_5_end;
        or_result_43_4 = true;
        or_temp_result_43_4_5 = true;
        or_event_43_4_5_end: ;
        objenemygate_209_instances.clear_saved_selection();
        if (or_temp_result_43_4_5) {
            objenemygate_209_instances.save_selection();
            detector_67_instances.save_selection();
        }
        if (!or_result_43_4) goto or_final_or_event_43_4_5_end;
        objeyeblock_143_instances.empty_selection();
        dissappear_127_instances.empty_selection();
        vertdetector_80_instances.empty_selection();
        objenemygate_209_instances.empty_selection();
        detector_67_instances.empty_selection();
        movingplatform_70_instances.empty_selection();
        if (or_temp_result_43_4_0 || or_temp_result_43_4_1 || or_temp_result_43_4_2 || or_temp_result_43_4_3 || or_temp_result_43_4_4 || or_temp_result_43_4_5) {
            detector_67_instances.restore_selection();
        }
        if (or_temp_result_43_4_4) {
            objeyeblock_143_instances.restore_selection();
        }
        if (or_temp_result_43_4_2) {
            vertdetector_80_instances.restore_selection();
        }
        if (or_temp_result_43_4_5) {
            objenemygate_209_instances.restore_selection();
        }
        if (or_temp_result_43_4_1) {
            movingplatform_70_instances.restore_selection();
        }
        if (or_temp_result_43_4_3) {
            dissappear_127_instances.restore_selection();
        }
        player_66_instances.clear_selection();
        for (ObjectIterator it(player_66_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(18, 0); // 'Player'
        }
    }
    or_final_or_event_43_4_5_end: ;
}
void Frames::event_func_362()
{
    // event 44_4
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) > (0))) goto event_44_4_end;
        if (!(is_player_pressed_once(1, CONTROL_LEFT))) goto event_44_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_44_4_end: ;
}
void Frames::event_func_363()
{
    // event 45_4
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) < (0))) goto event_45_4_end;
        if (!(is_player_pressed_once(1, CONTROL_RIGHT))) goto event_45_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_45_4_end: ;
}
void Frames::event_func_364()
{
    // event 47_4
    {
        // group: Horizontal
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_y()) != (((Active*)get_instance(player_66_instances))->get_y()+16))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_47_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_instance(player_66_instances));
            if (parent == NULL) goto pos_end_47_4_0;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 16);
            pos_end_47_4_0: ;
        }
        {
            FrameObject * parent = ((Active*)get_instance(player_66_instances));
            if (parent == NULL) goto pos_end_47_4_1;
            ((Active*)get_instance(hurtbox_148_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_47_4_1: ;
        }
    }
    event_47_4_end: ;
}
void Frames::event_func_365()
{
    // event 48_4
    {
        // group: Horizontal
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) != (((Active*)get_instance(player_66_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_48_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            FrameObject * parent = ((Active*)get_instance(player_66_instances));
            if (parent == NULL) goto pos_end_48_4_0;
            ((Active*)*it)->set_global_position(parent->get_x() + 0, parent->get_y() + 16);
            pos_end_48_4_0: ;
        }
        {
            FrameObject * parent = ((Active*)get_instance(player_66_instances));
            if (parent == NULL) goto pos_end_48_4_1;
            ((Active*)get_instance(hurtbox_148_instances))->set_global_position(parent->get_x() + 0, parent->get_y() + 0);
            pos_end_48_4_1: ;
        }
    }
    event_48_4_end: ;
}
void Frames::event_func_366()
{
    // event 49_4
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(18)) == (0))) goto event_49_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) == (2))) goto event_49_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.add(4, -1); // 'Player'
    }
    event_49_4_end: ;
}
void Frames::event_func_367()
{
    // event 50_4
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(18)) == (0))) goto event_50_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) == (-2))) goto event_50_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.add(4, 1); // 'Player'
    }
    event_50_4_end: ;
}
void Frames::event_func_368()
{
    // event 51_4
    {
        // group: Horizontal
        if (is_player_pressed(1, CONTROL_BUTTON3)) goto event_51_4_end;
        if (!((global_values->get(5)) == (1))) goto event_51_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(19)) == (0))) goto event_51_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, 0); // 'Player'
    }
    event_51_4_end: ;
}
void Frames::event_func_369()
{
    // event 53_4
    {
        // group: Horizontal
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(19)) > (0))) goto event_53_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.sub(19, 1); // 'Player'
    }
    event_53_4_end: ;
}
void Frames::event_func_370()
{
    // event 54_4
    {
        // group: Animations
        if (!(is_player_pressed(1, CONTROL_RIGHT))) goto event_54_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_54_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(0);
            ((Active*)*it)->alterables->values.set(0, 1); // 'Sprite'
        }
    }
    event_54_4_end: ;
}
void Frames::event_func_371()
{
    // event 55_4
    {
        // group: Animations
        if (!(is_player_pressed(1, CONTROL_LEFT))) goto event_55_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_55_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(16);
            ((Active*)*it)->alterables->values.set(0, -1); // 'Sprite'
        }
    }
    event_55_4_end: ;
}
void Frames::event_func_372()
{
    // event 56_4
    {
        // group: Animations
        if (is_player_pressed(1, CONTROL_RIGHT)) goto event_56_4_end;
        if (is_player_pressed(1, CONTROL_LEFT)) goto event_56_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 0); // 'Sprite'
        }
    }
    event_56_4_end: ;
}
void Frames::event_func_373()
{
    // event 57_4
    {
        // group: Animations
        if (!(((Active*)get_instance(detector_67_instances))->overlaps_background())) goto event_57_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_57_4_end;
        detector_67_instances.clear_selection();
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_57_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(22)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_57_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_57_4_end: ;
}
void Frames::event_func_374()
{
    // event 58_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        tntstatic_105_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntstatic_105_instances)) goto event_58_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_58_4_end;
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_58_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_58_4_end: ;
}
void Frames::event_func_375()
{
    // event 59_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        platform_68_instances.clear_selection();
        if (!check_overlap(detector_67_instances, platform_68_instances)) goto event_59_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_59_4_end;
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_59_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_59_4_end: ;
}
void Frames::event_func_376()
{
    // event 60_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        platform2_71_instances.clear_selection();
        if (!check_overlap(detector_67_instances, platform2_71_instances)) goto event_60_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_60_4_end;
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_60_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_60_4_end: ;
}
void Frames::event_func_377()
{
    // event 63_4
    {
        // group: Animations
        if (!(((Active*)get_instance(detector_67_instances))->overlaps_background())) goto event_63_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_63_4_end;
        detector_67_instances.clear_selection();
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_63_4_end;
        if (not_always_63_4_0 > loop_count) {
            not_always_63_4_0 = loop_count + 2;
            goto event_63_4_end;
        }
        not_always_63_4_0 = loop_count + 2;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_63_4_end: ;
}
void Frames::event_func_378()
{
    // event 64_4
    {
        // group: Animations
        if (!(is_key_pressed_once(SDLK_w))) goto event_64_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->restore_animation();
            ((Active*)*it)->force_animation(15);
        }
    }
    event_64_4_end: ;
}
void Frames::event_func_379()
{
    // event 65_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        tntstatic_105_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntstatic_105_instances)) goto event_65_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_65_4_end;
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_65_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->restore_animation();
            ((Active*)*it)->force_animation(15);
        }
    }
    event_65_4_end: ;
}
void Frames::event_func_380()
{
    // event 66_4
    {
        // group: Animations
        if (!(((Active*)get_instance(detector_67_instances))->overlaps_background())) goto event_66_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_66_4_end;
        detector_67_instances.clear_selection();
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_66_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_66_4_end: ;
}
void Frames::event_func_381()
{
    // event 67_4
    {
        // group: Animations
        player_66_instances.clear_selection();
        vertdetector_80_instances.clear_selection();
        if (!check_overlap(player_66_instances, vertdetector_80_instances)) goto event_67_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_67_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_67_4_end: ;
}
void Frames::event_func_382()
{
    // event 68_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        platform_68_instances.clear_selection();
        if (!check_overlap(detector_67_instances, platform_68_instances)) goto event_68_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_68_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_68_4_end;
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_68_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_68_4_end: ;
}
void Frames::event_func_383()
{
    // event 69_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        tntstatic_105_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntstatic_105_instances)) goto event_69_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_69_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_69_4_end;
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_69_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_69_4_end: ;
}
void Frames::event_func_384()
{
    // event 70_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        tntconveyor_113_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntconveyor_113_instances)) goto event_70_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_70_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_70_4_end;
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_70_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_70_4_end: ;
}
void Frames::event_func_385()
{
    // event 71_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        platform2_71_instances.clear_selection();
        if (!check_overlap(detector_67_instances, platform2_71_instances)) goto event_71_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_71_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_71_4_end;
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_71_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_71_4_end: ;
}
void Frames::event_func_386()
{
    // event 72_4
    {
        // group: Animations
        if (((Active*)get_instance(detector_67_instances))->overlaps_background()) goto event_72_4_end;
        detector_67_instances.clear_selection();
        if (!check_not_overlap(detector_67_instances, platform2_71_instances)) goto event_72_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) > (0))) goto event_72_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_72_4_end;
        player_66_instances.clear_selection();
        if (!check_not_overlap(player_66_instances, vertdetector_80_instances)) goto event_72_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_72_4_end;
        if (!check_not_overlap(detector_67_instances, dissappear_127_instances)) goto event_72_4_end;
        if (!check_not_overlap(detector_67_instances, objeyeblock_143_instances)) goto event_72_4_end;
        if (!check_not_overlap(detector_67_instances, platform_68_instances)) goto event_72_4_end;
        if (!check_not_overlap(detector_67_instances, tntconveyor_113_instances)) goto event_72_4_end;
        if (!check_not_overlap(detector_67_instances, tntstatic_105_instances)) goto event_72_4_end;
        if (!check_not_overlap(detector_67_instances, objenemygate_209_instances)) goto event_72_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(8);
        }
    }
    event_72_4_end: ;
}
void Frames::event_func_387()
{
    // event 73_4
    {
        // group: Animations
        if (((Active*)get_instance(detector_67_instances))->overlaps_background()) goto event_73_4_end;
        detector_67_instances.clear_selection();
        if (!check_not_overlap(detector_67_instances, platform_68_instances)) goto event_73_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) <= (0))) goto event_73_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_73_4_end;
        player_66_instances.clear_selection();
        if (!check_not_overlap(player_66_instances, vertdetector_80_instances)) goto event_73_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_73_4_end;
        if (!check_not_overlap(detector_67_instances, dissappear_127_instances)) goto event_73_4_end;
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_73_4_end;
        if (!check_not_overlap(detector_67_instances, objeyeblock_143_instances)) goto event_73_4_end;
        if (!check_not_overlap(detector_67_instances, platform2_71_instances)) goto event_73_4_end;
        if (!check_not_overlap(detector_67_instances, tntconveyor_113_instances)) goto event_73_4_end;
        if (!check_not_overlap(detector_67_instances, tntstatic_105_instances)) goto event_73_4_end;
        if (!check_not_overlap(detector_67_instances, objenemygate_209_instances)) goto event_73_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(7);
        }
    }
    event_73_4_end: ;
}
void Frames::event_func_388()
{
    // event 74_4
    {
        // group: Animations
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_74_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_74_4_end;
        detector_67_instances.clear_selection();
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_74_4_end;
        if (!((bullet_95_instances.size()) < (3))) goto event_74_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->restore_animation();
            ((Active*)*it)->force_animation(15);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
        }
    }
    event_74_4_end: ;
}
void Frames::event_func_389()
{
    // event 75_4
    {
        // group: Animations
        if (!(((Active*)get_instance(detector_67_instances))->overlaps_background())) goto event_75_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_75_4_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_75_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_75_4_end;
        detector_67_instances.clear_selection();
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_75_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_75_4_end: ;
}
void Frames::event_func_390()
{
    // event 76_4
    {
        // group: Animations
        platform_68_instances.clear_selection();
        if (!check_overlap(platform_68_instances, platform_68_instances)) goto event_76_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_76_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_76_4_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_76_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_76_4_end;
        detector_67_instances.clear_selection();
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_76_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_76_4_end: ;
}
void Frames::event_func_391()
{
    // event 77_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        platform2_71_instances.clear_selection();
        if (!check_overlap(detector_67_instances, platform2_71_instances)) goto event_77_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_77_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_77_4_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_77_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_77_4_end;
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_77_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_77_4_end: ;
}
void Frames::event_func_392()
{
    // event 78_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        tntstatic_105_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntstatic_105_instances)) goto event_78_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_78_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_78_4_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_78_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_78_4_end;
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_78_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_78_4_end: ;
}
void Frames::event_func_393()
{
    // event 79_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        tntconveyor_113_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntconveyor_113_instances)) goto event_79_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_79_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_79_4_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_79_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_79_4_end;
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_79_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_79_4_end: ;
}
void Frames::event_func_394()
{
    // event 80_4
    {
        // group: Animations
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_80_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(2, 1); // 'Sprite'
        }
    }
    event_80_4_end: ;
}
void Frames::event_func_395()
{
    // event 81_4
    {
        // group: Animations
        if (!(((Active*)get_instance(detector_67_instances))->overlaps_background())) goto event_81_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_81_4_end;
        detector_67_instances.clear_selection();
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_81_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_81_4_end: ;
}
void Frames::event_func_396()
{
    // event 82_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        platform_68_instances.clear_selection();
        if (!check_overlap(detector_67_instances, platform_68_instances)) goto event_82_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_82_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_82_4_end;
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_82_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_82_4_end: ;
}
void Frames::event_func_397()
{
    // event 83_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        tntstatic_105_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntstatic_105_instances)) goto event_83_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_83_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_83_4_end;
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_83_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_83_4_end: ;
}
void Frames::event_func_398()
{
    // event 84_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        platform2_71_instances.clear_selection();
        if (!check_overlap(detector_67_instances, platform2_71_instances)) goto event_84_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_84_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_84_4_end;
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_84_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_84_4_end: ;
}
void Frames::event_func_399()
{
    // event 85_4
    {
        // group: Animations
        if (((Active*)get_instance(detector_67_instances))->overlaps_background()) goto event_85_4_end;
        detector_67_instances.clear_selection();
        if (!check_not_overlap(detector_67_instances, platform_68_instances)) goto event_85_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) > (0))) goto event_85_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_85_4_end;
        if (!check_not_overlap(detector_67_instances, dissappear_127_instances)) goto event_85_4_end;
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_85_4_end;
        if (!check_not_overlap(detector_67_instances, objeyeblock_143_instances)) goto event_85_4_end;
        if (!check_not_overlap(detector_67_instances, platform2_71_instances)) goto event_85_4_end;
        if (!check_not_overlap(detector_67_instances, tntconveyor_113_instances)) goto event_85_4_end;
        if (!check_not_overlap(detector_67_instances, tntstatic_105_instances)) goto event_85_4_end;
        if (!check_not_overlap(detector_67_instances, objenemygate_209_instances)) goto event_85_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(18);
        }
    }
    event_85_4_end: ;
}
void Frames::event_func_400()
{
    // event 86_4
    {
        // group: Animations
        if (((Active*)get_instance(detector_67_instances))->overlaps_background()) goto event_86_4_end;
        detector_67_instances.clear_selection();
        if (!check_not_overlap(detector_67_instances, platform_68_instances)) goto event_86_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) <= (0))) goto event_86_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_86_4_end;
        if (!check_not_overlap(detector_67_instances, dissappear_127_instances)) goto event_86_4_end;
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_86_4_end;
        if (!check_not_overlap(detector_67_instances, objeyeblock_143_instances)) goto event_86_4_end;
        if (!check_not_overlap(detector_67_instances, platform2_71_instances)) goto event_86_4_end;
        if (!check_not_overlap(detector_67_instances, tntconveyor_113_instances)) goto event_86_4_end;
        if (!check_not_overlap(detector_67_instances, tntstatic_105_instances)) goto event_86_4_end;
        if (!check_not_overlap(detector_67_instances, objenemygate_209_instances)) goto event_86_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(17);
        }
    }
    event_86_4_end: ;
}
void Frames::event_func_401()
{
    // event 87_4
    {
        // group: Animations
        if (((Active*)get_instance(detector_67_instances))->overlaps_background()) goto event_87_4_end;
        detector_67_instances.clear_selection();
        if (!check_not_overlap(detector_67_instances, platform_68_instances)) goto event_87_4_end;
        if (!check_not_overlap(detector_67_instances, dissappear_127_instances)) goto event_87_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) > (0))) goto event_87_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_87_4_end;
        player_66_instances.clear_selection();
        if (!check_not_overlap(player_66_instances, vertdetector_80_instances)) goto event_87_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_87_4_end;
        if (!check_not_overlap(detector_67_instances, vertdetector_80_instances)) goto event_87_4_end;
        if (!check_not_overlap(detector_67_instances, objeyeblock_143_instances)) goto event_87_4_end;
        if (!check_not_overlap(detector_67_instances, platform2_71_instances)) goto event_87_4_end;
        if (!check_not_overlap(detector_67_instances, tntconveyor_113_instances)) goto event_87_4_end;
        if (!check_not_overlap(detector_67_instances, tntstatic_105_instances)) goto event_87_4_end;
        if (!check_not_overlap(detector_67_instances, objenemygate_209_instances)) goto event_87_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(8);
        }
    }
    event_87_4_end: ;
}
void Frames::event_func_402()
{
    // event 89_4
    {
        // group: Animations
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_89_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
        }
    }
    event_89_4_end: ;
}
void Frames::event_func_403()
{
    // event 90_4
    {
        // group: Animations
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) != (0))) goto event_90_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_90_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(19);
        }
    }
    event_90_4_end: ;
}
void Frames::event_func_404()
{
    // event 91_4
    {
        // group: Animations
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) != (0))) goto event_91_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) != (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_91_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(20);
        }
    }
    event_91_4_end: ;
}
void Frames::event_func_405()
{
    // event 92_4
    {
        // group: Animations
        player_66_instances.clear_selection();
        vertdetector_80_instances.clear_selection();
        if (!check_overlap(player_66_instances, vertdetector_80_instances)) goto event_92_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(0)) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_92_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_92_4_end: ;
}
void Frames::event_func_406()
{
    // event 93_4
    {
        // group: Animations
        player_66_instances.clear_selection();
        vertdetector_80_instances.clear_selection();
        if (!check_overlap(player_66_instances, vertdetector_80_instances)) goto event_93_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(0)) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_93_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_93_4_end: ;
}
void Frames::event_func_407()
{
    // event 94_4
    {
        // group: Animations
        player_66_instances.clear_selection();
        tntstatic_105_instances.clear_selection();
        if (!check_overlap(player_66_instances, tntstatic_105_instances)) goto event_94_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(0)) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_94_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_94_4_end: ;
}
void Frames::event_func_408()
{
    // event 95_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        platform_68_instances.clear_selection();
        if (!check_overlap(detector_67_instances, platform_68_instances)) goto event_95_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_95_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) <= (0))) goto event_95_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_95_4_end: ;
}
void Frames::event_func_409()
{
    // event 96_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        platform2_71_instances.clear_selection();
        if (!check_overlap(detector_67_instances, platform2_71_instances)) goto event_96_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_96_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) <= (0))) goto event_96_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_96_4_end: ;
}
void Frames::event_func_410()
{
    // event 97_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        tntstatic_105_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntstatic_105_instances)) goto event_97_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_97_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) <= (0))) goto event_97_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_97_4_end: ;
}
void Frames::event_func_411()
{
    // event 98_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        tntconveyor_113_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntconveyor_113_instances)) goto event_98_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_98_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) <= (0))) goto event_98_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_98_4_end: ;
}
void Frames::event_func_412()
{
    // event 99_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        platform_68_instances.clear_selection();
        if (!check_overlap(detector_67_instances, platform_68_instances)) goto event_99_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_99_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) <= (0))) goto event_99_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_99_4_end: ;
}
void Frames::event_func_413()
{
    // event 100_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        platform2_71_instances.clear_selection();
        if (!check_overlap(detector_67_instances, platform2_71_instances)) goto event_100_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_100_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) <= (0))) goto event_100_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_100_4_end: ;
}
void Frames::event_func_414()
{
    // event 101_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        tntstatic_105_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntstatic_105_instances)) goto event_101_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_101_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) <= (0))) goto event_101_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_101_4_end: ;
}
void Frames::event_func_415()
{
    // event 102_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        tntconveyor_113_instances.clear_selection();
        if (!check_overlap(detector_67_instances, tntconveyor_113_instances)) goto event_102_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_102_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(4)) <= (0))) goto event_102_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_102_4_end: ;
}
void Frames::event_func_416()
{
    // event 103_4
    {
        // group: Animations
        detector_67_instances.clear_selection();
        vertdetector_80_instances.clear_selection();
        if (!check_overlap(detector_67_instances, vertdetector_80_instances)) goto event_103_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_103_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_103_4_end: ;
}
void Frames::event_func_417()
{
    // event 104_4
    {
        // group: Keys and Doors
        key_75_instances.clear_selection();
        player_66_instances.clear_selection();
        if (!check_overlap(key_75_instances, player_66_instances)) goto event_104_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.add(3, 1); // 'Player'
        for (ObjectIterator it(key_75_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_104_4_end: ;
}
void Frames::event_func_418()
{
    // event 105_4
    {
        // group: Scrolling
        active4_6_instances.clear_selection();
        if (!check_not_overlap(active4_6_instances, yonlyscroll_108_instances)) goto event_105_4_end;
        if (!check_not_overlap(active4_6_instances, lockxy_109_instances)) goto event_105_4_end;
        if (!((((Active*)get_instance(cameratarget_222_instances))->alterables->values.get(0)) != (0))) goto event_105_4_end;
        if (!((((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(5)) == (0))) goto event_105_4_end;
        {
            FrameObject * parent = ((Active*)get_instance(camerashaker_221_instances));
            set_display_center(parent->get_x() + 0, parent->get_y() + 0);
        }
        ((Active*)get_instance(screen_122_instances))->set_x(((Active*)get_instance(camerachaser_23_instances))->get_x());
        ((Active*)get_instance(screen_122_instances))->set_y(((Active*)get_instance(camerachaser_23_instances))->get_y());
        {
            loop_camcheck1_running = true;
            int times = int(1);
            loop_camcheck1_index = 0;
            while (loop_camcheck1_index < times) {
                loop_camcheck1_4();
                if (!loop_camcheck1_running) break;
                loop_camcheck1_index++;
            }
        }
        ((Active*)get_instance(cameratarget_222_instances))->alterables->values.set(1, ((Active*)get_instance(player_66_instances))->alterables->values.get(1)); // 'camera-target'
        ((Active*)get_instance(active4_6_instances))->set_x(((Active*)get_instance(player_66_instances))->get_x());
        ((Active*)get_instance(active4_6_instances))->set_y(((Active*)get_instance(player_66_instances))->get_y());
        ((Active*)get_instance(camerachaser_23_instances))->set_x(((Active*)get_instance(camerachaser_23_instances))->get_x()-get_ceil((((Active*)get_instance(camerachaser_23_instances))->get_x()-((Active*)get_instance(cameratarget_222_instances))->get_x())/MathHelper()/5.0));
        ((Active*)get_instance(camerachaser_23_instances))->set_y(((Active*)get_instance(camerachaser_23_instances))->get_y()-get_floor((((Active*)get_instance(camerachaser_23_instances))->get_y()-((Active*)get_instance(cameratarget_222_instances))->get_y())/MathHelper()/5.0));
        ((Active*)get_instance(screencamlayerlg_226_instances))->set_x(((Active*)get_instance(player_66_instances))->get_x());
        ((Active*)get_instance(screencamlayerlg_226_instances))->set_y(((Active*)get_instance(player_66_instances))->get_y());
        ((Active*)get_instance(camerashaker_221_instances))->set_x(((Active*)get_instance(camerachaser_23_instances))->get_x()+((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(1));
        ((Active*)get_instance(camerashaker_221_instances))->set_y(((Active*)get_instance(camerachaser_23_instances))->get_y()+((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(0));
    }
    event_105_4_end: ;
}
void Frames::event_func_419()
{
    // event 106_4
    {
        // group: Scrolling
        active4_6_instances.clear_selection();
        if (!check_not_overlap(active4_6_instances, yonlyscroll_108_instances)) goto event_106_4_end;
        if (!check_not_overlap(active4_6_instances, lockxy_109_instances)) goto event_106_4_end;
        if (!((((Active*)get_instance(cameratarget_222_instances))->alterables->values.get(0)) == (0))) goto event_106_4_end;
        if (!((((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(5)) == (0))) goto event_106_4_end;
        ((Active*)get_instance(active4_6_instances))->set_x(((Active*)get_instance(player_66_instances))->get_x());
        ((Active*)get_instance(active4_6_instances))->set_y(((Active*)get_instance(player_66_instances))->get_y());
        ((Active*)get_instance(screen_122_instances))->set_x(((Active*)get_instance(camerachaser_23_instances))->get_x());
        ((Active*)get_instance(screen_122_instances))->set_y(((Active*)get_instance(camerachaser_23_instances))->get_y());
        ((Active*)get_instance(screencamlayerlg_226_instances))->set_x(((Active*)get_instance(player_66_instances))->get_x());
        ((Active*)get_instance(screencamlayerlg_226_instances))->set_y(((Active*)get_instance(player_66_instances))->get_y());
        ((Active*)get_instance(cameratarget_222_instances))->alterables->values.set(1, ((Active*)get_instance(player_66_instances))->alterables->values.get(1)); // 'camera-target'
        ((Active*)get_instance(camerachaser_23_instances))->set_x(((Active*)get_instance(camerachaser_23_instances))->get_x()-get_ceil((((Active*)get_instance(camerachaser_23_instances))->get_x()-((Active*)get_instance(cameratarget_222_instances))->get_x())/MathHelper()/5.0)+((Active*)get_instance(cameratarget_222_instances))->alterables->values.get(1));
        ((Active*)get_instance(camerachaser_23_instances))->set_y(((Active*)get_instance(camerachaser_23_instances))->get_y()-get_floor((((Active*)get_instance(camerachaser_23_instances))->get_y()-((Active*)get_instance(cameratarget_222_instances))->get_y())/MathHelper()/5.0));
        {
            loop_camcheck1_running = true;
            int times = int(1);
            loop_camcheck1_index = 0;
            while (loop_camcheck1_index < times) {
                loop_camcheck1_4();
                if (!loop_camcheck1_running) break;
                loop_camcheck1_index++;
            }
        }
        ((Active*)get_instance(camerashaker_221_instances))->set_x(((Active*)get_instance(camerachaser_23_instances))->get_x()+((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(1));
        ((Active*)get_instance(camerashaker_221_instances))->set_y(((Active*)get_instance(camerachaser_23_instances))->get_y()+((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(0));
        {
            FrameObject * parent = ((Active*)get_instance(camerashaker_221_instances));
            set_display_center(parent->get_x() + 0, parent->get_y() + 0);
        }
    }
    event_106_4_end: ;
}
void Frames::event_func_420()
{
    // event 107_4
    bool or_result_107_4 = false;
    bool or_temp_result_107_4_0 = false;
    {
        // group: Scrolling
        active4_6_instances.clear_selection();
        yonlyscroll_108_instances.clear_selection();
        if (!check_overlap(active4_6_instances, yonlyscroll_108_instances)) goto or_event_107_4_0_end;
        or_result_107_4 = true;
        or_temp_result_107_4_0 = true;
    }
    or_event_107_4_0_end: ;
    yonlyscroll_108_instances.clear_saved_selection();
    active4_6_instances.clear_saved_selection();
    if (or_temp_result_107_4_0) {
        yonlyscroll_108_instances.save_selection();
        active4_6_instances.save_selection();
    }
    // event 107_4
    bool or_temp_result_107_4_1 = false;
    {
        // group: Scrolling
        active4_6_instances.clear_selection();
        lockxy_109_instances.clear_selection();
        if (!check_overlap(active4_6_instances, lockxy_109_instances)) goto or_event_107_4_1_end;
        camerashaker_221_instances.clear_selection();
        for (ObjectIterator it(camerashaker_221_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) == (0))) { it.deselect(); continue; }
        }
        if (!camerashaker_221_instances.has_selection()) goto or_event_107_4_1_end;
        or_result_107_4 = true;
        or_temp_result_107_4_1 = true;
        or_event_107_4_1_end: ;
        lockxy_109_instances.clear_saved_selection();
        camerashaker_221_instances.clear_saved_selection();
        if (or_temp_result_107_4_1) {
            camerashaker_221_instances.save_selection();
            lockxy_109_instances.save_selection();
            active4_6_instances.save_selection();
        }
        if (!or_result_107_4) goto or_final_or_event_107_4_1_end;
        yonlyscroll_108_instances.empty_selection();
        lockxy_109_instances.empty_selection();
        camerashaker_221_instances.empty_selection();
        active4_6_instances.empty_selection();
        if (or_temp_result_107_4_0) {
            yonlyscroll_108_instances.restore_selection();
        }
        if (or_temp_result_107_4_1) {
            camerashaker_221_instances.restore_selection();
        }
        if (or_temp_result_107_4_1) {
            lockxy_109_instances.restore_selection();
        }
        if (or_temp_result_107_4_0 || or_temp_result_107_4_1) {
            active4_6_instances.restore_selection();
        }
        for (ObjectIterator it(active4_6_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)get_instance(player_66_instances, it.current_index, default_active_instance))->get_x());
            ((Active*)*it)->set_y(((Active*)get_instance(player_66_instances, it.current_index, default_active_instance))->get_y());
        }
        screen_122_instances.clear_selection();
        for (ObjectIterator it(screen_122_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)get_instance(camerachaser_23_instances, it.current_index, default_active_instance))->get_x());
            ((Active*)*it)->set_y(((Active*)get_instance(camerachaser_23_instances, it.current_index, default_active_instance))->get_y());
        }
        screencamlayerlg_226_instances.clear_selection();
        for (ObjectIterator it(screencamlayerlg_226_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)get_instance(player_66_instances, it.current_index, default_active_instance))->get_x());
            ((Active*)*it)->set_y(((Active*)get_instance(player_66_instances, it.current_index, default_active_instance))->get_y());
        }
        cameratarget_222_instances.clear_selection();
        for (ObjectIterator it(cameratarget_222_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(1, ((Active*)get_instance(player_66_instances, it.current_index, default_active_instance))->alterables->values.get(1)); // 'camera-target'
        }
        camerachaser_23_instances.clear_selection();
        for (ObjectIterator it(camerachaser_23_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()-get_ceil((((Active*)*it)->get_x()-((Active*)get_single(cameratarget_222_instances, it.current_index, default_active_instance))->get_x())/MathHelper()/5.0));
            ((Active*)*it)->set_y(((Active*)*it)->get_y()-get_floor((((Active*)*it)->get_y()-((Active*)get_single(cameratarget_222_instances, it.current_index, default_active_instance))->get_y())/MathHelper()/5.0));
        }
        {
            loop_camcheck1_running = true;
            int times = int(1);
            loop_camcheck1_index = 0;
            while (loop_camcheck1_index < times) {
                loop_camcheck1_4();
                if (!loop_camcheck1_running) break;
                loop_camcheck1_index++;
            }
        }
        camerashaker_221_instances.clear_selection();
        for (ObjectIterator it(camerashaker_221_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)get_instance(camerachaser_23_instances, it.current_index, default_active_instance))->get_x()+((Active*)*it)->alterables->values.get(1));
            ((Active*)*it)->set_y(((Active*)get_instance(camerachaser_23_instances, it.current_index, default_active_instance))->get_y()+((Active*)*it)->alterables->values.get(0));
        }
        {
            FrameObject * parent = ((Active*)get_single(camerashaker_221_instances));
            set_display_center(parent->get_x() + 0, parent->get_y() + 0);
        }
    }
    or_final_or_event_107_4_1_end: ;
}
void Frames::event_func_421()
{
    // event 108_4
    {
        // group: Scrolling
        active4_6_instances.clear_selection();
        xonlyscroll_107_instances.clear_selection();
        if (!check_overlap(active4_6_instances, xonlyscroll_107_instances)) goto event_108_4_end;
        screencamlayerlg_226_instances.clear_selection();
        camerabarrierx_225_instances.clear_selection();
        if (!check_overlap(screencamlayerlg_226_instances, camerabarrierx_225_instances)) goto event_108_4_end;
        ((Active*)get_instance(cameratarget_222_instances))->set_x(((Active*)get_instance(player_66_instances))->get_x()+((Active*)get_instance(cameratarget_222_instances))->alterables->values.get(0)+((((Active*)get_single(camerabarrierx_225_instances, default_active_instance))->get_x()-((Active*)get_instance(screencamlayerlg_226_instances))->get_x())));
        ((Active*)get_instance(cameratarget_222_instances))->set_y(((Active*)get_single(xonlyscroll_107_instances, default_active_instance))->get_y());
    }
    event_108_4_end: ;
}
void Frames::event_func_422()
{
    // event 109_4
    {
        // group: Scrolling
        active4_6_instances.clear_selection();
        if (!check_not_overlap(active4_6_instances, xonlyscroll_107_instances)) goto event_109_4_end;
        if (!check_not_overlap(active4_6_instances, yonlyscroll_108_instances)) goto event_109_4_end;
        if (!check_not_overlap(active4_6_instances, lockxy_109_instances)) goto event_109_4_end;
        screencamlayerlg_226_instances.clear_selection();
        camerabarrierx_225_instances.clear_selection();
        if (!check_overlap(screencamlayerlg_226_instances, camerabarrierx_225_instances)) goto event_109_4_end;
        ((Active*)get_instance(cameratarget_222_instances))->set_y(((Active*)get_instance(player_66_instances))->get_y()+((Active*)get_instance(cameratarget_222_instances))->alterables->values.get(2));
        ((Active*)get_instance(cameratarget_222_instances))->set_x(((Active*)get_instance(player_66_instances))->get_x()+((Active*)get_instance(cameratarget_222_instances))->alterables->values.get(0)+((((Active*)get_single(camerabarrierx_225_instances, default_active_instance))->get_x()-((Active*)get_instance(screencamlayerlg_226_instances))->get_x())));
    }
    event_109_4_end: ;
}
void Frames::event_func_423()
{
    // event 110_4
    {
        // group: Scrolling
        active4_6_instances.clear_selection();
        yonlyscroll_108_instances.clear_selection();
        if (!check_overlap(active4_6_instances, yonlyscroll_108_instances)) goto event_110_4_end;
        screencamlayerlg_226_instances.clear_selection();
        camerabarrierx_225_instances.clear_selection();
        if (!check_overlap(screencamlayerlg_226_instances, camerabarrierx_225_instances)) goto event_110_4_end;
        ((Active*)get_instance(cameratarget_222_instances))->set_x(((Active*)get_single(yonlyscroll_108_instances, default_active_instance))->get_x());
        ((Active*)get_instance(cameratarget_222_instances))->set_y(((Active*)get_instance(player_66_instances))->get_y()+((Active*)get_instance(cameratarget_222_instances))->alterables->values.get(2));
    }
    event_110_4_end: ;
}
void Frames::event_func_424()
{
    // event 111_4
    {
        // group: Scrolling
        active4_6_instances.clear_selection();
        lockxy_109_instances.clear_selection();
        if (!check_overlap(active4_6_instances, lockxy_109_instances)) goto event_111_4_end;
        screencamlayerlg_226_instances.clear_selection();
        camerabarrierx_225_instances.clear_selection();
        if (!check_overlap(screencamlayerlg_226_instances, camerabarrierx_225_instances)) goto event_111_4_end;
        ((Active*)get_instance(cameratarget_222_instances))->set_x(((Active*)get_single(lockxy_109_instances, default_active_instance))->get_x());
        ((Active*)get_instance(cameratarget_222_instances))->set_y(((Active*)get_single(lockxy_109_instances, default_active_instance))->get_y());
    }
    event_111_4_end: ;
}
void Frames::event_func_425()
{
    // event 112_4
    {
        // group: Scrolling
        active4_6_instances.clear_selection();
        xonlyscroll_107_instances.clear_selection();
        if (!check_overlap(active4_6_instances, xonlyscroll_107_instances)) goto event_112_4_end;
        screencamlayerlg_226_instances.clear_selection();
        if (!check_not_overlap(screencamlayerlg_226_instances, camerabarrierx_225_instances)) goto event_112_4_end;
        ((Active*)get_instance(cameratarget_222_instances))->set_x(((Active*)get_instance(player_66_instances))->get_x()+((Active*)get_instance(cameratarget_222_instances))->alterables->values.get(0));
        ((Active*)get_instance(cameratarget_222_instances))->set_y(((Active*)get_single(xonlyscroll_107_instances, default_active_instance))->get_y());
    }
    event_112_4_end: ;
}
void Frames::event_func_426()
{
    // event 113_4
    {
        // group: Scrolling
        active4_6_instances.clear_selection();
        if (!check_not_overlap(active4_6_instances, xonlyscroll_107_instances)) goto event_113_4_end;
        if (!check_not_overlap(active4_6_instances, yonlyscroll_108_instances)) goto event_113_4_end;
        if (!check_not_overlap(active4_6_instances, lockxy_109_instances)) goto event_113_4_end;
        screencamlayerlg_226_instances.clear_selection();
        if (!check_not_overlap(screencamlayerlg_226_instances, camerabarrierx_225_instances)) goto event_113_4_end;
        ((Active*)get_instance(cameratarget_222_instances))->set_y(((Active*)get_instance(player_66_instances))->get_y()+((Active*)get_instance(cameratarget_222_instances))->alterables->values.get(2));
        ((Active*)get_instance(cameratarget_222_instances))->set_x(((Active*)get_instance(player_66_instances))->get_x()+((Active*)get_instance(cameratarget_222_instances))->alterables->values.get(0));
    }
    event_113_4_end: ;
}
void Frames::event_func_427()
{
    // event 114_4
    {
        // group: Scrolling
        active4_6_instances.clear_selection();
        yonlyscroll_108_instances.clear_selection();
        if (!check_overlap(active4_6_instances, yonlyscroll_108_instances)) goto event_114_4_end;
        screencamlayerlg_226_instances.clear_selection();
        if (!check_not_overlap(screencamlayerlg_226_instances, camerabarrierx_225_instances)) goto event_114_4_end;
        ((Active*)get_instance(cameratarget_222_instances))->set_x(((Active*)get_single(yonlyscroll_108_instances, default_active_instance))->get_x());
        ((Active*)get_instance(cameratarget_222_instances))->set_y(((Active*)get_instance(player_66_instances))->get_y()+((Active*)get_instance(cameratarget_222_instances))->alterables->values.get(2));
    }
    event_114_4_end: ;
}
void Frames::event_func_428()
{
    // event 115_4
    {
        // group: Scrolling
        active4_6_instances.clear_selection();
        lockxy_109_instances.clear_selection();
        if (!check_overlap(active4_6_instances, lockxy_109_instances)) goto event_115_4_end;
        screencamlayerlg_226_instances.clear_selection();
        if (!check_not_overlap(screencamlayerlg_226_instances, camerabarrierx_225_instances)) goto event_115_4_end;
        ((Active*)get_instance(cameratarget_222_instances))->set_x(((Active*)get_single(lockxy_109_instances, default_active_instance))->get_x());
        ((Active*)get_instance(cameratarget_222_instances))->set_y(((Active*)get_single(lockxy_109_instances, default_active_instance))->get_y());
    }
    event_115_4_end: ;
}
void Frames::event_func_429()
{
    // event 116_4
    {
        // group: Scrolling
        camerachaser_23_instances.clear_selection();
        active4_6_instances.clear_selection();
        if (!check_overlap(camerachaser_23_instances, active4_6_instances)) goto event_116_4_end;
        if (!((((Active*)get_instance(camerachaser_23_instances))->get_x()) < (((Active*)get_instance(active4_6_instances))->get_x()))) goto event_116_4_end;
        if (!check_not_overlap(active4_6_instances, lockxy_109_instances)) goto event_116_4_end;
        if (!check_not_overlap(active4_6_instances, yonlyscroll_108_instances)) goto event_116_4_end;
        if (!((((Active*)get_instance(cameratarget_222_instances))->alterables->values.get(0)) == (0))) goto event_116_4_end;
        if (!((((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(5)) == (0))) goto event_116_4_end;
        ((Active*)get_instance(camerachaser_23_instances))->set_x(((Active*)get_instance(camerachaser_23_instances))->get_x()+1);
        ((Active*)get_instance(camerashaker_221_instances))->set_x(((Active*)get_instance(camerachaser_23_instances))->get_x()+((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(1));
        ((Active*)get_instance(camerashaker_221_instances))->set_y(((Active*)get_instance(camerachaser_23_instances))->get_y()+((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(0));
    }
    event_116_4_end: ;
}
void Frames::event_func_430()
{
    // event 117_4
    {
        // group: Scrolling
        camerachaser_23_instances.clear_selection();
        active4_6_instances.clear_selection();
        if (!check_overlap(camerachaser_23_instances, active4_6_instances)) goto event_117_4_end;
        if (!((((Active*)get_instance(camerachaser_23_instances))->get_x()) > (((Active*)get_instance(active4_6_instances))->get_x()))) goto event_117_4_end;
        if (!check_not_overlap(active4_6_instances, lockxy_109_instances)) goto event_117_4_end;
        if (!check_not_overlap(active4_6_instances, yonlyscroll_108_instances)) goto event_117_4_end;
        if (!((((Active*)get_instance(cameratarget_222_instances))->alterables->values.get(0)) == (0))) goto event_117_4_end;
        if (!((((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(5)) == (0))) goto event_117_4_end;
        ((Active*)get_instance(camerachaser_23_instances))->set_x(((Active*)get_instance(camerachaser_23_instances))->get_x()-1);
        ((Active*)get_instance(camerashaker_221_instances))->set_x(((Active*)get_instance(camerachaser_23_instances))->get_x()+((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(1));
        ((Active*)get_instance(camerashaker_221_instances))->set_y(((Active*)get_instance(camerachaser_23_instances))->get_y()+((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(0));
    }
    event_117_4_end: ;
}
void Frames::event_func_431()
{
    // event 118_4
    {
        // group: Scrolling
        camerachaser_23_instances.clear_selection();
        active4_6_instances.clear_selection();
        if (!check_overlap(camerachaser_23_instances, active4_6_instances)) goto event_118_4_end;
        if (!((((Active*)get_instance(camerachaser_23_instances))->get_y()) < (((Active*)get_instance(active4_6_instances))->get_x()))) goto event_118_4_end;
        if (!check_not_overlap(active4_6_instances, lockxy_109_instances)) goto event_118_4_end;
        if (!check_not_overlap(active4_6_instances, xonlyscroll_107_instances)) goto event_118_4_end;
        if (!((((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(5)) == (0))) goto event_118_4_end;
        ((Active*)get_instance(camerachaser_23_instances))->set_y(((Active*)get_instance(camerachaser_23_instances))->get_y()+1);
        ((Active*)get_instance(camerashaker_221_instances))->set_x(((Active*)get_instance(camerachaser_23_instances))->get_x()+((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(1));
        ((Active*)get_instance(camerashaker_221_instances))->set_y(((Active*)get_instance(camerachaser_23_instances))->get_y()+((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(0));
    }
    event_118_4_end: ;
}
void Frames::event_func_432()
{
    // event 119_4
    {
        // group: Scrolling
        camerachaser_23_instances.clear_selection();
        active4_6_instances.clear_selection();
        if (!check_overlap(camerachaser_23_instances, active4_6_instances)) goto event_119_4_end;
        if (!((((Active*)get_instance(camerachaser_23_instances))->get_y()) > (((Active*)get_instance(active4_6_instances))->get_x()))) goto event_119_4_end;
        if (!check_not_overlap(active4_6_instances, lockxy_109_instances)) goto event_119_4_end;
        if (!check_not_overlap(active4_6_instances, xonlyscroll_107_instances)) goto event_119_4_end;
        if (!((((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(5)) == (0))) goto event_119_4_end;
        ((Active*)get_instance(camerachaser_23_instances))->set_y(((Active*)get_instance(camerachaser_23_instances))->get_y()-1);
        ((Active*)get_instance(camerashaker_221_instances))->set_x(((Active*)get_instance(camerachaser_23_instances))->get_x()+((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(1));
        ((Active*)get_instance(camerashaker_221_instances))->set_y(((Active*)get_instance(camerachaser_23_instances))->get_y()+((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(0));
    }
    event_119_4_end: ;
}
void Frames::event_func_433()
{
    // event 123_4
    {
        // group: Scrolling
        ((Active*)get_instance(screencamlayercamera_227_instances))->set_x(((Active*)get_instance(camerachaser_23_instances))->get_x());
        ((Active*)get_instance(screencamlayercamera_227_instances))->set_y(((Active*)get_instance(camerachaser_23_instances))->get_y());
        {
            loop_camcheck1_running = true;
            int times = int(10);
            loop_camcheck1_index = 0;
            while (loop_camcheck1_index < times) {
                loop_camcheck1_4();
                if (!loop_camcheck1_running) break;
                loop_camcheck1_index++;
            }
        }
    }
    event_123_4_end: ;
}
void Frames::event_func_434()
{
    // event 124_4
    {
        // group: Scrolling
        screencamlayercamera_227_instances.clear_selection();
        camerabarrierx_225_instances.clear_selection();
        if (!check_overlap(screencamlayercamera_227_instances, camerabarrierx_225_instances)) goto event_124_4_end;
        ((Active*)get_instance(cameratarget_222_instances))->alterables->values.set(1, 0); // 'camera-target'
    }
    event_124_4_end: ;
}
void Frames::event_func_435()
{
    // event 128_4
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(2)) > (0))) goto event_128_4_end;
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(1, randrange_event(2*((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(2))-((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(2)); // 'camera shaker'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(2, (((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(2)*(14.0/MathHelper()/15.0))-0.2); // 'camera shaker'
    }
    event_128_4_end: ;
}
void Frames::event_func_436()
{
    // event 129_4
    {
        // group: Scrolling
        if (!((((Active*)get_instance(camerashaker_221_instances))->alterables->values.get(2)) <= (0))) goto event_129_4_end;
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(2, 0); // 'camera shaker'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(1, 0); // 'camera shaker'
    }
    event_129_4_end: ;
}
