#include "events.h"
#include "framedata.h"
#include "lists.h"
#include "media.h"
#include "objects.h"
#include "bitarray.h"

void Frames::event_func_637()
{
    // event 458_4
    {
        // group: MobileBro
        enemymobilebrohoriz_188_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_188_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(256))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_66_instances))->get_x()-20))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_66_instances))->get_x()-4))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(5)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_188_instances.has_selection()) goto event_458_4_end;
        if (not_always_458_4_0 > loop_count) {
            not_always_458_4_0 = loop_count + 2;
            goto event_458_4_end;
        }
        not_always_458_4_0 = loop_count + 2;
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        for (ObjectIterator it(enemymobilebrohoriz_188_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(5, 35); // 'enemy-mobilebrohoriz'
        }
        FrameObject * single_instance_458_4_1; single_instance_458_4_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemymobilebrohoriz_188_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_176(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_458_4_1 == NULL)
                    single_instance_458_4_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_458_4_1))->set_direction(24);
        ((Active*)((Active*)single_instance_458_4_1))->get_movement()->set_speed(100);
        ((Active*)((Active*)single_instance_458_4_1))->force_speed(100);
    }
    event_458_4_end: ;
}
void Frames::event_func_638()
{
    // event 459_4
    {
        // group: MobileBro
        enemymobilebrohoriz_188_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_188_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(65536))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) > (((Active*)get_instance(player_66_instances))->get_y()-20))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) < (((Active*)get_instance(player_66_instances))->get_y()+4))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(5)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_188_instances.has_selection()) goto event_459_4_end;
        if (not_always_459_4_0 > loop_count) {
            not_always_459_4_0 = loop_count + 2;
            goto event_459_4_end;
        }
        not_always_459_4_0 = loop_count + 2;
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        for (ObjectIterator it(enemymobilebrohoriz_188_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(5, 35); // 'enemy-mobilebrohoriz'
        }
        FrameObject * single_instance_459_4_1; single_instance_459_4_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemymobilebrohoriz_188_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_176(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_459_4_1 == NULL)
                    single_instance_459_4_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_459_4_1))->set_direction(0);
        ((Active*)((Active*)single_instance_459_4_1))->get_movement()->set_speed(100);
        ((Active*)((Active*)single_instance_459_4_1))->force_speed(100);
    }
    event_459_4_end: ;
}
void Frames::event_func_639()
{
    // event 460_4
    {
        // group: MobileBro
        enemymobilebrohoriz_188_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_188_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(1))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) > (((Active*)get_instance(player_66_instances))->get_y()-20))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) < (((Active*)get_instance(player_66_instances))->get_y()-4))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(5)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_188_instances.has_selection()) goto event_460_4_end;
        if (not_always_460_4_0 > loop_count) {
            not_always_460_4_0 = loop_count + 2;
            goto event_460_4_end;
        }
        not_always_460_4_0 = loop_count + 2;
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        for (ObjectIterator it(enemymobilebrohoriz_188_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(5, 35); // 'enemy-mobilebrohoriz'
        }
        FrameObject * single_instance_460_4_1; single_instance_460_4_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemymobilebrohoriz_188_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_176(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_460_4_1 == NULL)
                    single_instance_460_4_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_460_4_1))->set_direction(16);
        ((Active*)((Active*)single_instance_460_4_1))->get_movement()->set_speed(100);
        ((Active*)((Active*)single_instance_460_4_1))->force_speed(100);
    }
    event_460_4_end: ;
}
void Frames::event_func_640()
{
    // event 461_4
    {
        // group: MobileBro
        enemymobilebrohoriz_188_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_188_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_directions(65537))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(3)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_188_instances.has_selection()) goto event_461_4_end;
        for (ObjectIterator it(enemymobilebrohoriz_188_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 2); // 'enemy-mobilebrohoriz'
        }
    }
    event_461_4_end: ;
}
void Frames::event_func_641()
{
    // event 462_4
    {
        // group: MobileBro
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(9)) <= (0))) goto event_462_4_end;
        hurtbox_148_instances.clear_selection();
        enemymobilebrohoriz_188_instances.clear_selection();
        if (!check_overlap(hurtbox_148_instances, enemymobilebrohoriz_188_instances)) goto event_462_4_end;
        global_values->sub(0, ((Active*)get_single(enemymobilebrohoriz_188_instances, default_active_instance))->alterables->values.get(0));
        {
            loop_healthupdate_running = true;
            int times = int(1);
            loop_healthupdate_index = 0;
            while (loop_healthupdate_index < times) {
                loop_healthupdate_4();
                if (!loop_healthupdate_running) break;
                loop_healthupdate_index++;
            }
        }
        ((Active*)get_instance(player_66_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(9, 75); // 'Player'
        enemyzapball_159_instances.clear_selection();
        for (ObjectIterator it(enemyzapball_159_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_462_4_end: ;
}
void Frames::event_func_642()
{
    // event 464_4
    {
        // group: MobileBro
        enemymobilebrohoriz_188_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_188_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_188_instances.has_selection()) goto event_464_4_end;
        for (ObjectIterator it(enemymobilebrohoriz_188_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_464_4_0; single_instance_464_4_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemymobilebrohoriz_188_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_104(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_464_4_0 == NULL)
                    single_instance_464_4_0 = new_obj;
            }
        }
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(0, ((Active*)get_single(enemymobilebrohoriz_188_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(1, ((Active*)get_single(enemymobilebrohoriz_188_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_4();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(2, 18); // 'camera shaker'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(3, 16); // 'camera shaker'
    }
    event_464_4_end: ;
}
void Frames::event_func_643()
{
    // event 466_4
    {
        // group: MobileBro
        enemymobilebrohoriz_188_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_188_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(5)) > (0))) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_188_instances.has_selection()) goto event_466_4_end;
        for (ObjectIterator it(enemymobilebrohoriz_188_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(5, 1); // 'enemy-mobilebrohoriz'
        }
    }
    event_466_4_end: ;
}
void Frames::event_func_644()
{
    // event 467_4
    {
        // group: MobileBro
        enemymobilebrohoriz_188_instances.clear_selection();
        for (ObjectIterator it(enemymobilebrohoriz_188_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 12)) { it.deselect(); continue; }
        }
        if (!enemymobilebrohoriz_188_instances.has_selection()) goto event_467_4_end;
        for (ObjectIterator it(enemymobilebrohoriz_188_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_467_4_end: ;
}
void Frames::event_func_645()
{
    // event 470_4
    {
        // group: Dangerned
        enemydangerned_191_instances.clear_selection();
        for (ObjectIterator it(enemydangerned_191_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(get_direction_int(((Active*)*it)->x, ((Active*)*it)->y, ((Active*)get_instance(player_66_instances))->x + 0, ((Active*)get_instance(player_66_instances))->y + 0));
        }
    }
    event_470_4_end: ;
}
void Frames::event_func_646()
{
    // event 472_4
    {
        // group: Dangerned
        enemydangerned_191_instances.clear_selection();
        for (ObjectIterator it(enemydangerned_191_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemydangerned_191_instances.has_selection()) goto event_472_4_end;
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(0, ((Active*)get_single(enemydangerned_191_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(1, ((Active*)get_single(enemydangerned_191_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_472_4_0; single_instance_472_4_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemydangerned_191_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_104(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_472_4_0 == NULL)
                    single_instance_472_4_0 = new_obj;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_472_4_end: ;
}
void Frames::event_func_647()
{
    // event 475_4
    {
        // group: Dangerned
        enemydangerned_191_instances.clear_selection();
        active2_124_instances.clear_selection();
        if (!check_overlap(enemydangerned_191_instances, active2_124_instances)) goto event_475_4_end;
        bullet_95_instances.clear_selection();
        for (ObjectIterator it(bullet_95_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(5, 1); // 'Bullet'
        }
        for (ObjectIterator it(enemydangerned_191_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(1, 1); // 'enemy-dangerned'
            ((Active*)*it)->force_animation(13);
        }
    }
    event_475_4_end: ;
}
void Frames::event_func_648()
{
    // event 476_4
    {
        // group: Dangerned
        active2_124_instances.clear_selection();
        for (ObjectIterator it(active2_124_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(4, 1); // 'Active 2'
        }
    }
    event_476_4_end: ;
}
void Frames::event_func_649()
{
    // event 477_4
    {
        // group: Dangerned
        active2_124_instances.clear_selection();
        for (ObjectIterator it(active2_124_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(4)) <= (0))) { it.deselect(); continue; }
        }
        if (!active2_124_instances.has_selection()) goto event_477_4_end;
        for (ObjectIterator it(active2_124_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_477_4_end: ;
}
void Frames::event_func_650()
{
    // event 479_4
    {
        // group: Zappa
        enemyzappa_194_instances.clear_selection();
        for (ObjectIterator it(enemyzappa_194_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) > (-2))) { it.deselect(); continue; }
        }
        if (!enemyzappa_194_instances.has_selection()) goto event_479_4_end;
        for (ObjectIterator it(enemyzappa_194_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(1, 1); // 'enemy-zappa'
        }
    }
    event_479_4_end: ;
}
void Frames::event_func_651()
{
    // event 480_4
    {
        // group: Zappa
        every_480_4_0 += manager.dt;
        if (every_480_4_0 < 0.02) goto event_480_4_end;
        every_480_4_0 -= 0.02;
        enemyzappa_194_instances.clear_selection();
        for (ObjectIterator it(enemyzappa_194_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()*1.0+(((Active*)*it)->alterables->values.get(1)*0.7));
        }
    }
    event_480_4_end: ;
}
void Frames::event_func_652()
{
    // event 482_4
    {
        // group: Zappa
        enemyzappa_194_instances.clear_selection();
        for (ObjectIterator it(enemyzappa_194_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(2, 1); // 'enemy-zappa'
        }
    }
    event_482_4_end: ;
}
void Frames::event_func_653()
{
    // event 483_4
    {
        // group: Zappa
        enemyzappa_194_instances.clear_selection();
        for (ObjectIterator it(enemyzappa_194_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(0)) { it.deselect(); continue; }
        }
        if (!enemyzappa_194_instances.has_selection()) goto event_483_4_end;
        for (ObjectIterator it(enemyzappa_194_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_483_4_end: ;
}
void Frames::event_func_654()
{
    // event 484_4
    {
        // group: Zappa
        enemyzappa_194_instances.clear_selection();
        for (ObjectIterator it(enemyzappa_194_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(12)) { it.deselect(); continue; }
        }
        if (!enemyzappa_194_instances.has_selection()) goto event_484_4_end;
        for (ObjectIterator it(enemyzappa_194_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_484_4_end: ;
}
void Frames::event_func_655()
{
    // event 485_4
    {
        // group: Zappa
        enemyzappa_194_instances.clear_selection();
        for (ObjectIterator it(enemyzappa_194_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (-43))) { it.deselect(); continue; }
        }
        if (!enemyzappa_194_instances.has_selection()) goto event_485_4_end;
        for (ObjectIterator it(enemyzappa_194_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->alterables->values.get(3)); // 'enemy-zappa'
        }
    }
    event_485_4_end: ;
}
void Frames::event_func_656()
{
    // event 487_4
    {
        // group: Zappa
        enemyzappa_194_instances.clear_selection();
        for (ObjectIterator it(enemyzappa_194_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->test_animation(0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) == (77))) { it.deselect(); continue; }
        }
        if (!enemyzappa_194_instances.has_selection()) goto event_487_4_end;
        screen_122_instances.clear_selection();
        if (!check_overlap(screen_122_instances, enemyzappa_194_instances)) goto event_487_4_end;
        media.play_id(SOUND_QWASH_SHORT_15, -1, 1);
        media.set_sample_volume(SOUND_QWASH_SHORT_15, 0.2*global_values->get(12));
    }
    event_487_4_end: ;
}
void Frames::event_func_657()
{
    // event 488_4
    {
        // group: Zappa
        screen_122_instances.clear_selection();
        if (!check_not_overlap(screen_122_instances, enemyzappa_194_instances)) goto event_488_4_end;
        enemyzappa_194_instances.clear_selection();
        for (ObjectIterator it(enemyzappa_194_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_66_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemyzappa_194_instances.has_selection()) goto event_488_4_end;
        for (ObjectIterator it(enemyzappa_194_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_488_4_end: ;
}
void Frames::event_func_658()
{
    // event 491_4
    {
        // group: Drop Bro
        enemydroppo_196_instances.clear_selection();
        for (ObjectIterator it(enemydroppo_196_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemydroppo_196_instances.has_selection()) goto event_491_4_end;
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(0, ((Active*)get_single(enemydroppo_196_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(1, ((Active*)get_single(enemydroppo_196_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_491_4_0; single_instance_491_4_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemydroppo_196_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_104(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_491_4_0 == NULL)
                    single_instance_491_4_0 = new_obj;
            }
        }
        for (ObjectIterator it(enemydroppo_196_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        {
            loop_debris_running = true;
            int times = int(8);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_4();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_491_4_end: ;
}
void Frames::event_func_659()
{
    // event 493_4
    {
        // group: Rock-It Ship
        enemyrockiship_201_instances.clear_selection();
        for (ObjectIterator it(enemyrockiship_201_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
        }
        if (!enemyrockiship_201_instances.has_selection()) goto event_493_4_end;
        for (ObjectIterator it(enemyrockiship_201_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(get_direction_int(((Active*)*it)->x, ((Active*)*it)->y, ((Active*)get_instance(player_66_instances))->x + 0, ((Active*)get_instance(player_66_instances))->y + 0));
        }
    }
    event_493_4_end: ;
}
void Frames::event_func_660()
{
    // event 494_4
    {
        // group: Rock-It Ship
        enemyrockiship_201_instances.clear_selection();
        for (ObjectIterator it(enemyrockiship_201_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_66_instances))->get_x()-96))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_66_instances))->get_x()+96))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) < (((Active*)get_instance(player_66_instances))->get_y()+96))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_y()) > (((Active*)get_instance(player_66_instances))->get_y()-96))) { it.deselect(); continue; }
        }
        if (!enemyrockiship_201_instances.has_selection()) goto event_494_4_end;
        for (ObjectIterator it(enemyrockiship_201_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(0, 1); // 'enemy-rockiship'
        }
    }
    event_494_4_end: ;
}
void Frames::event_func_661()
{
    // event 495_4
    {
        // group: Rock-It Ship
        enemyrockiship_201_instances.clear_selection();
        for (ObjectIterator it(enemyrockiship_201_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemyrockiship_201_instances.has_selection()) goto event_495_4_end;
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(0, ((Active*)get_single(enemyrockiship_201_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(1, ((Active*)get_single(enemyrockiship_201_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_495_4_0; single_instance_495_4_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyrockiship_201_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_104(parent->x + 0, parent->y + 0), parent->layer);
                if (single_instance_495_4_0 == NULL)
                    single_instance_495_4_0 = new_obj;
            }
        }
        for (ObjectIterator it(enemyrockiship_201_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        {
            loop_debris_running = true;
            int times = int(8);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_4();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
    }
    event_495_4_end: ;
}
void Frames::event_func_662()
{
    // event 499_4
    {
        // group: Rock-It Ship
        enemyrockiship_201_instances.clear_selection();
        for (ObjectIterator it(enemyrockiship_201_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->overlaps_background())) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(0)) == (1))) { it.deselect(); continue; }
        }
        if (!enemyrockiship_201_instances.has_selection()) goto event_499_4_end;
        for (ObjectIterator it(enemyrockiship_201_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 1); // 'enemy-rockiship'
        }
    }
    event_499_4_end: ;
}
void Frames::event_func_663()
{
    // event 500_4
    {
        // group: Rock-It Ship
        enemyrockiship_201_instances.clear_selection();
        for (ObjectIterator it(enemyrockiship_201_instances); !it.end(); ++it) {
            if (((Active*)(*it))->overlaps_background()) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(0)) == (1))) { it.deselect(); continue; }
        }
        if (!enemyrockiship_201_instances.has_selection()) goto event_500_4_end;
        for (ObjectIterator it(enemyrockiship_201_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-rockiship'
        }
    }
    event_500_4_end: ;
}
void Frames::event_func_664()
{
    // event 501_4
    {
        // group: Rock-It Ship
        enemyrockiship_201_instances.clear_selection();
        for (ObjectIterator it(enemyrockiship_201_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (6))) { it.deselect(); continue; }
        }
        if (!enemyrockiship_201_instances.has_selection()) goto event_501_4_end;
        for (ObjectIterator it(enemyrockiship_201_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, 0); // 'enemy-rockiship'
        }
    }
    event_501_4_end: ;
}
void Frames::event_func_665()
{
    // event 502_4
    {
        // group: Rock-It Ship
        enemyrockiship_201_instances.clear_selection();
        if (!check_not_overlap(enemyrockiship_201_instances, screen_122_instances)) goto event_502_4_end;
        for (ObjectIterator it(enemyrockiship_201_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (1))) { it.deselect(); continue; }
        }
        if (!enemyrockiship_201_instances.has_selection()) goto event_502_4_end;
        for (ObjectIterator it(enemyrockiship_201_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_502_4_end: ;
}
void Frames::event_func_666()
{
    // event 503_4
    {
        // group: Rock-It Ship
        enemyrockiship_201_instances.clear_selection();
        for (ObjectIterator it(enemyrockiship_201_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (1))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_movement()->get_speed()) < (70))) { it.deselect(); continue; }
        }
        if (!enemyrockiship_201_instances.has_selection()) goto event_503_4_end;
        for (ObjectIterator it(enemyrockiship_201_instances); !it.end(); ++it) {
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->get_movement()->get_speed()+3);
        }
    }
    event_503_4_end: ;
}
void Frames::event_func_667()
{
    // event 504_4
    {
        // group: Rock-It Ship
        enemyrockiship_201_instances.clear_selection();
        for (ObjectIterator it(enemyrockiship_201_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (1))) { it.deselect(); continue; }
        }
        if (!enemyrockiship_201_instances.has_selection()) goto event_504_4_end;
        if (not_always_504_4_0 > loop_count) {
            not_always_504_4_0 = loop_count + 2;
            goto event_504_4_end;
        }
        not_always_504_4_0 = loop_count + 2;
        media.set_sample_volume(SOUND_BOOM_16, 0.3*global_values->get(12));
        media.play_id(SOUND_BOOM_16, -1, 1);
    }
    event_504_4_end: ;
}
void Frames::event_func_668()
{
    // event 505_4
    {
        // group: Rock-It Ship
        enemyrockiship_201_instances.clear_selection();
        objeyeblock_143_instances.clear_selection();
        if (!check_overlap(enemyrockiship_201_instances, objeyeblock_143_instances)) goto event_505_4_end;
        for (ObjectIterator it(enemyrockiship_201_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (1))) { it.deselect(); continue; }
        }
        if (!enemyrockiship_201_instances.has_selection()) goto event_505_4_end;
        for (ObjectIterator it(enemyrockiship_201_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 6); // 'enemy-rockiship'
            ((Active*)*it)->alterables->values.set(2, 0); // 'enemy-rockiship'
        }
    }
    event_505_4_end: ;
}
void Frames::event_func_669()
{
    // event 510_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) < (3))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_510_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 1); // 'enemy-lonestar'
        }
    }
    event_510_4_end: ;
}
void Frames::event_func_670()
{
    // event 511_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_movement()->get_speed()) < (3))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(6)) <= (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_511_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 2); // 'enemy-lonestar'
        }
    }
    event_511_4_end: ;
}
void Frames::event_func_671()
{
    // event 513_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(6, get_abs(((Active*)*it)->get_x()-((Active*)*it)->alterables->values.get(2))); // 'enemy-lonestar'
        }
    }
    event_513_4_end: ;
}
void Frames::event_func_672()
{
    // event 514_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_66_instances))->get_x()+150))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(6)) > (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_514_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(10);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.1);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
            ((Active*)*it)->set_direction(11);
        }
    }
    event_514_4_end: ;
}
void Frames::event_func_673()
{
    // event 515_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_66_instances))->get_x()+75))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_66_instances))->get_x()+150))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(6)) > (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_515_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(9);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*0.97);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_515_4_end: ;
}
void Frames::event_func_674()
{
    // event 516_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_66_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_66_instances))->get_x()+75))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_516_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(5)) == (0))) goto event_516_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) > (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_516_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(5);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.05);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_516_4_end: ;
}
void Frames::event_func_675()
{
    // event 517_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_66_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_66_instances))->get_x()+75))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_517_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(5)) == (1))) goto event_517_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) > (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_517_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(11);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.05);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_517_4_end: ;
}
void Frames::event_func_676()
{
    // event 518_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_66_instances))->get_x()+150))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(6)) <= (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_518_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(6);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.1);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_518_4_end: ;
}
void Frames::event_func_677()
{
    // event 519_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_66_instances))->get_x()+75))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_66_instances))->get_x()+150))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(6)) <= (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_519_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(7);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*0.97);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_519_4_end: ;
}
void Frames::event_func_678()
{
    // event 520_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_66_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_66_instances))->get_x()+75))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_520_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(5)) == (0))) goto event_520_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) <= (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_520_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(11);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.05);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_520_4_end: ;
}
void Frames::event_func_679()
{
    // event 521_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_66_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_66_instances))->get_x()+75))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_521_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(5)) == (1))) goto event_521_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) <= (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_521_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(5);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.05);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_521_4_end: ;
}
void Frames::event_func_680()
{
    // event 522_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_66_instances))->get_x()-150))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(6)) > (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_522_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(6);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.1);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
            ((Active*)*it)->set_direction(5);
        }
    }
    event_522_4_end: ;
}
void Frames::event_func_681()
{
    // event 523_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_66_instances))->get_x()-75))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_66_instances))->get_x()-150))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(6)) > (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_523_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(7);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*0.97);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_523_4_end: ;
}
void Frames::event_func_682()
{
    // event 524_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_66_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_66_instances))->get_x()-75))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_524_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(5)) == (1))) goto event_524_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) > (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_524_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(11);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.05);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_524_4_end: ;
}
void Frames::event_func_683()
{
    // event 525_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_66_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_66_instances))->get_x()-75))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_525_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(5)) == (0))) goto event_525_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) > (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_525_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(5);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.05);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_525_4_end: ;
}
void Frames::event_func_684()
{
    // event 526_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_66_instances))->get_x()-150))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(6)) <= (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_526_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(10);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.1);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_526_4_end: ;
}
void Frames::event_func_685()
{
    // event 527_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_66_instances))->get_x()-75))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_66_instances))->get_x()-150))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(6)) <= (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_527_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(9);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*0.97);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_527_4_end: ;
}
void Frames::event_func_686()
{
    // event 528_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_66_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_66_instances))->get_x()-75))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_528_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(5)) == (1))) goto event_528_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) <= (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_528_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(5);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.05);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_528_4_end: ;
}
void Frames::event_func_687()
{
    // event 529_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) >= (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_66_instances))->get_x()))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_66_instances))->get_x()-75))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_529_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(5)) == (0))) goto event_529_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(6)) <= (20))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_529_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(11);
            ((Active*)*it)->get_movement()->set_speed(((Active*)*it)->alterables->values.get(4)*1.05);
            ((Active*)*it)->alterables->values.set(3, 0); // 'enemy-lonestar'
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->get_x()); // 'enemy-lonestar'
        }
    }
    event_529_4_end: ;
}
void Frames::event_func_688()
{
    // event 532_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_532_4_end;
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(0, ((Active*)get_single(enemylonestar_207_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(1, ((Active*)get_single(enemylonestar_207_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        FrameObject * single_instance_532_4_0; single_instance_532_4_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemylonestar_207_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_104(parent->x + 0, parent->y + -10), parent->layer);
                if (single_instance_532_4_0 == NULL)
                    single_instance_532_4_0 = new_obj;
            }
        }
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        {
            loop_debris_running = true;
            int times = int(8);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_4();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(2, 20); // 'camera shaker'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(3, 20); // 'camera shaker'
    }
    event_532_4_end: ;
}
void Frames::event_func_689()
{
    // event 535_4
    {
        // group: Lonestar Jr
        spawnerlonestar_208_instances.clear_selection();
        for (ObjectIterator it(spawnerlonestar_208_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (0))) { it.deselect(); continue; }
        }
        if (!spawnerlonestar_208_instances.has_selection()) goto event_535_4_end;
        for (ObjectIterator it(spawnerlonestar_208_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 1); // 'spawner-lonestar'
        }
    }
    event_535_4_end: ;
}
void Frames::event_func_690()
{
    // event 536_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_66_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_536_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(7, 0); // 'enemy-lonestar'
        }
    }
    event_536_4_end: ;
}
void Frames::event_func_691()
{
    // event 537_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_66_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_537_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(7, 1); // 'enemy-lonestar'
        }
    }
    event_537_4_end: ;
}
void Frames::event_func_692()
{
    // event 538_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(7)) == (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(14)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(17)) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_538_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(13);
        }
    }
    event_538_4_end: ;
}
void Frames::event_func_693()
{
    // event 539_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(7)) == (1))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(15)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(16)) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_539_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
    }
    event_539_4_end: ;
}
void Frames::event_func_694()
{
    // event 540_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (1))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(7)) == (0))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_540_4_end;
        if (not_always_540_4_0 > loop_count) {
            not_always_540_4_0 = loop_count + 2;
            goto event_540_4_end;
        }
        not_always_540_4_0 = loop_count + 2;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(17);
        }
    }
    event_540_4_end: ;
}
void Frames::event_func_695()
{
    // event 541_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (1))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(7)) == (1))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_541_4_end;
        if (not_always_541_4_0 > loop_count) {
            not_always_541_4_0 = loop_count + 2;
            goto event_541_4_end;
        }
        not_always_541_4_0 = loop_count + 2;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_541_4_end: ;
}
void Frames::event_func_696()
{
    // event 542_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) == (0))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_542_4_end;
        if (not_always_542_4_0 > loop_count) {
            not_always_542_4_0 = loop_count + 2;
            goto event_542_4_end;
        }
        not_always_542_4_0 = loop_count + 2;
        media.play_id(SOUND_SPRING_4, -1, 1);
        media.set_sample_volume(SOUND_SPRING_4, global_values->get(12)*0.5);
    }
    event_542_4_end: ;
}
void Frames::event_func_697()
{
    // event 543_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_frame()) == (12))) { it.deselect(); continue; }
            if (!(((Active*)(*it))->test_animation(16))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_543_4_end;
        if (not_always_543_4_0 > loop_count) {
            not_always_543_4_0 = loop_count + 2;
            goto event_543_4_end;
        }
        not_always_543_4_0 = loop_count + 2;
        enemylaser_176_instances.clear_selection();
        for (ObjectIterator it(enemylaser_176_instances); !it.end(); ++it) {
            ((Active*)*it)->set_angle(((Active*)*it)->get_direction()/MathHelper()/11.25, 0);
        }
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        // select single: false false true
        for (ObjectIterator p_it(enemylonestar_207_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_176(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                enemylaser_176_instances.add_back();
            }
        }
        for (ObjectIterator it(enemylaser_176_instances); !it.end(); ++it) {
            ((Active*)*it)->set_direction(get_direction_int(((Active*)*it)->x, ((Active*)*it)->y, ((Active*)get_instance(player_66_instances))->x + 0, ((Active*)get_instance(player_66_instances))->y + 0));
            ((Active*)*it)->get_movement()->set_speed(60);
        }
    }
    event_543_4_end: ;
}
void Frames::event_func_698()
{
    // event 544_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_frame()) == (12))) { it.deselect(); continue; }
            if (!(((Active*)(*it))->test_animation(17))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_544_4_end;
        if (not_always_544_4_0 > loop_count) {
            not_always_544_4_0 = loop_count + 2;
            goto event_544_4_end;
        }
        not_always_544_4_0 = loop_count + 2;
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        FrameObject * single_instance_544_4_1; single_instance_544_4_1 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemylonestar_207_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_176(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_544_4_1 == NULL)
                    single_instance_544_4_1 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_544_4_1))->set_angle(((Active*)single_instance_544_4_1)->get_direction()/MathHelper()/11.25, 0);
        ((Active*)((Active*)single_instance_544_4_1))->set_direction(get_direction_int(((Active*)single_instance_544_4_1)->x, ((Active*)single_instance_544_4_1)->y, ((Active*)get_instance(player_66_instances))->x + 0, ((Active*)get_instance(player_66_instances))->y + 0));
        ((Active*)((Active*)single_instance_544_4_1))->get_movement()->set_speed(60);
    }
    event_544_4_end: ;
}
void Frames::event_func_699()
{
    // event 545_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        if (!check_not_overlap(enemylonestar_207_instances, screen_122_instances)) goto event_545_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(8, 1); // 'enemy-lonestar'
        }
    }
    event_545_4_end: ;
}
void Frames::event_func_700()
{
    // event 546_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(8)) >= (60))) { it.deselect(); continue; }
        }
        if (!enemylonestar_207_instances.has_selection()) goto event_546_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
    }
    event_546_4_end: ;
}
void Frames::event_func_701()
{
    // event 547_4
    {
        // group: Lonestar Jr
        enemylonestar_207_instances.clear_selection();
        screen_122_instances.clear_selection();
        if (!check_overlap(enemylonestar_207_instances, screen_122_instances)) goto event_547_4_end;
        for (ObjectIterator it(enemylonestar_207_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(8, 0); // 'enemy-lonestar'
        }
    }
    event_547_4_end: ;
}
void Frames::event_func_702()
{
    // event 553_4
    {
        // group: Evil Eye
        enemyevileye_218_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) > (((Active*)get_instance(player_66_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemyevileye_218_instances.has_selection()) goto event_553_4_end;
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(2, -1.0*(((Active*)*it)->alterables->values.get(7)/MathHelper()/100.0)); // 'enemy-evileye'
        }
    }
    event_553_4_end: ;
}
void Frames::event_func_703()
{
    // event 554_4
    {
        // group: Evil Eye
        enemyevileye_218_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_x()) < (((Active*)get_instance(player_66_instances))->get_x()))) { it.deselect(); continue; }
        }
        if (!enemyevileye_218_instances.has_selection()) goto event_554_4_end;
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(2, 1.0*(((Active*)*it)->alterables->values.get(7)/MathHelper()/100.0)); // 'enemy-evileye'
        }
    }
    event_554_4_end: ;
}
void Frames::event_func_704()
{
    // event 555_4
    {
        // group: Evil Eye
        enemyevileye_218_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_y()) < (((Active*)get_instance(player_66_instances))->get_y()))) { it.deselect(); continue; }
        }
        if (!enemyevileye_218_instances.has_selection()) goto event_555_4_end;
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, 1.0*(((Active*)*it)->alterables->values.get(7)/MathHelper()/100.0)); // 'enemy-evileye'
        }
    }
    event_555_4_end: ;
}
void Frames::event_func_705()
{
    // event 556_4
    {
        // group: Evil Eye
        enemyevileye_218_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->get_y()) > (((Active*)get_instance(player_66_instances))->get_y()))) { it.deselect(); continue; }
        }
        if (!enemyevileye_218_instances.has_selection()) goto event_556_4_end;
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, -1.0*(((Active*)*it)->alterables->values.get(7)/MathHelper()/100.0)); // 'enemy-evileye'
        }
    }
    event_556_4_end: ;
}
void Frames::event_func_706()
{
    // event 557_4
    {
        // group: Evil Eye
        enemyevileye_218_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->set_x(((Active*)*it)->get_x()+((Active*)*it)->alterables->values.get(2));
            ((Active*)*it)->set_y(((Active*)*it)->get_y()+((Active*)*it)->alterables->values.get(3));
        }
    }
    event_557_4_end: ;
}
void Frames::event_func_707()
{
    // event 558_4
    {
        // group: Evil Eye
        enemyevileye_218_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!enemyevileye_218_instances.has_selection()) goto event_558_4_end;
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(2, (((Active*)*it)->alterables->values.get(6)/MathHelper()/100.0)); // 'enemy-evileye'
        }
    }
    event_558_4_end: ;
}
void Frames::event_func_708()
{
    // event 559_4
    {
        // group: Evil Eye
        enemyevileye_218_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (0))) { it.deselect(); continue; }
        }
        if (!enemyevileye_218_instances.has_selection()) goto event_559_4_end;
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(2, ((Active*)*it)->alterables->values.get(6)/MathHelper()/100.0); // 'enemy-evileye'
        }
    }
    event_559_4_end: ;
}
void Frames::event_func_709()
{
    // event 560_4
    {
        // group: Evil Eye
        enemyevileye_218_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (0))) { it.deselect(); continue; }
        }
        if (!enemyevileye_218_instances.has_selection()) goto event_560_4_end;
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(3, (((Active*)*it)->alterables->values.get(6)/MathHelper()/100.0)); // 'enemy-evileye'
        }
    }
    event_560_4_end: ;
}
void Frames::event_func_710()
{
    // event 561_4
    {
        // group: Evil Eye
        enemyevileye_218_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) < (0))) { it.deselect(); continue; }
        }
        if (!enemyevileye_218_instances.has_selection()) goto event_561_4_end;
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(3, ((Active*)*it)->alterables->values.get(6)/MathHelper()/100.0); // 'enemy-evileye'
        }
    }
    event_561_4_end: ;
}
void Frames::event_func_711()
{
    // event 562_4
    {
        // group: Evil Eye
        enemyevileye_218_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) > (((Active*)*it)->alterables->values.get(4)))) { it.deselect(); continue; }
        }
        if (!enemyevileye_218_instances.has_selection()) goto event_562_4_end;
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, ((Active*)*it)->alterables->values.get(4)); // 'enemy-evileye'
        }
    }
    event_562_4_end: ;
}
void Frames::event_func_712()
{
    // event 563_4
    {
        // group: Evil Eye
        enemyevileye_218_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) < (-1*((Active*)*it)->alterables->values.get(4)))) { it.deselect(); continue; }
        }
        if (!enemyevileye_218_instances.has_selection()) goto event_563_4_end;
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(2, -1*((Active*)*it)->alterables->values.get(4)); // 'enemy-evileye'
        }
    }
    event_563_4_end: ;
}
void Frames::event_func_713()
{
    // event 564_4
    {
        // group: Evil Eye
        enemyevileye_218_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) > (((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
        }
        if (!enemyevileye_218_instances.has_selection()) goto event_564_4_end;
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, ((Active*)*it)->alterables->values.get(5)); // 'enemy-evileye'
        }
    }
    event_564_4_end: ;
}
void Frames::event_func_714()
{
    // event 565_4
    {
        // group: Evil Eye
        enemyevileye_218_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(3)) < (-1*((Active*)*it)->alterables->values.get(5)))) { it.deselect(); continue; }
        }
        if (!enemyevileye_218_instances.has_selection()) goto event_565_4_end;
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(3, -1*((Active*)*it)->alterables->values.get(5)); // 'enemy-evileye'
        }
    }
    event_565_4_end: ;
}
void Frames::event_func_715()
{
    // event 568_4
    {
        // group: Evil Eye
        enemyevileye_218_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) <= (0))) { it.deselect(); continue; }
        }
        if (!enemyevileye_218_instances.has_selection()) goto event_568_4_end;
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(0, ((Active*)get_single(enemyevileye_218_instances, default_active_instance))->get_x()); // 'FrameDataStore'
        ((Active*)get_instance(framedatastore_157_instances))->alterables->values.set(1, ((Active*)get_single(enemyevileye_218_instances, default_active_instance))->get_y()); // 'FrameDataStore'
        media.play_id(SOUND_EXPLOSION_6, 26-1);
        media.set_sample_volume(SOUND_EXPLOSION_6, global_values->get(12)*0.25);
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->destroy();
        }
        FrameObject * single_instance_568_4_0; single_instance_568_4_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyevileye_218_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_explosion_104(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_568_4_0 == NULL)
                    single_instance_568_4_0 = new_obj;
            }
        }
        {
            loop_debris_running = true;
            int times = int(7);
            loop_debris_index = 0;
            while (loop_debris_index < times) {
                loop_debris_4();
                if (!loop_debris_running) break;
                loop_debris_index++;
            }
        }
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(2, 20); // 'camera shaker'
        ((Active*)get_instance(camerashaker_221_instances))->alterables->values.set(3, 20); // 'camera shaker'
    }
    event_568_4_end: ;
}
void Frames::event_func_716()
{
    // event 573_4
    {
        // group: Evil Eye
        enemyevileye_218_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(8)) == (1))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(12)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(14)) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(13)) { it.deselect(); continue; }
        }
        if (!enemyevileye_218_instances.has_selection()) goto event_573_4_end;
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_573_4_end: ;
}
void Frames::event_func_717()
{
    // event 574_4
    {
        // group: Evil Eye
        enemyevileye_218_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(8)) == (1))) { it.deselect(); continue; }
        }
        if (!enemyevileye_218_instances.has_selection()) goto event_574_4_end;
        screen_122_instances.clear_selection();
        if (!check_overlap(enemyevileye_218_instances, screen_122_instances)) goto event_574_4_end;
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(9, 1); // 'enemy-evileye'
        }
    }
    event_574_4_end: ;
}
void Frames::event_func_718()
{
    // event 575_4
    {
        // group: Evil Eye
        enemyevileye_218_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(9)) == (((Active*)*it)->alterables->values.get(10)))) { it.deselect(); continue; }
        }
        if (!enemyevileye_218_instances.has_selection()) goto event_575_4_end;
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(9, 0); // 'enemy-evileye'
            ((Active*)*it)->force_animation(13);
        }
        media.set_sample_volume(SOUND_WEUW_26, 0.35*global_values->get(12));
        media.stop_sample(SOUND_WEUW_26);
        media.play_id(SOUND_WEUW_26, -1, 1);
    }
    event_575_4_end: ;
}
void Frames::event_func_719()
{
    // event 576_4
    {
        // group: Evil Eye
        enemyevileye_218_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            if (!(((Active*)(*it))->animation_finished == 13)) { it.deselect(); continue; }
        }
        if (!enemyevileye_218_instances.has_selection()) goto event_576_4_end;
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(12);
        }
        media.stop_sample(SOUND_ZAP_17);
        media.set_sample_volume(SOUND_ZAP_17, global_values->get(12)*0.1);
        media.play_id(SOUND_ZAP_17, -1, 1);
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(2, (((Active*)get_instance(player_66_instances))->get_x()-((Active*)*it)->get_x())/MathHelper()/(sqrt((((Active*)get_instance(player_66_instances))->get_x()-((Active*)*it)->get_x())*MathHelper()*2+(((Active*)get_instance(player_66_instances))->get_y()-((Active*)*it)->get_y())*MathHelper()*2))*2.5); // 'enemy-evileye'
            ((Active*)*it)->alterables->values.add(3, (((Active*)get_instance(player_66_instances))->get_y()-((Active*)*it)->get_y())/MathHelper()/(sqrt((((Active*)get_instance(player_66_instances))->get_x()-((Active*)*it)->get_x())*MathHelper()*2+(((Active*)get_instance(player_66_instances))->get_y()-((Active*)*it)->get_y())*MathHelper()*2))*-2.5); // 'enemy-evileye'
        }
        FrameObject * single_instance_576_4_0; single_instance_576_4_0 = NULL;
        // select single: true false false
        for (ObjectIterator p_it(enemyevileye_218_instances); !p_it.end(); ++p_it) {
            FrameObject * parent = ((Active*)*p_it);
            {
                FrameObject * new_obj;
                new_obj = add_object(create_enemylaser_176(parent->get_action_x() - parent->layer->off_x + 0, parent->get_action_y() - parent->layer->off_y + 0), parent->layer);
                if (single_instance_576_4_0 == NULL)
                    single_instance_576_4_0 = new_obj;
            }
        }
        ((Active*)((Active*)single_instance_576_4_0))->get_movement()->set_speed(60);
        ((Active*)((Active*)single_instance_576_4_0))->set_direction(get_direction_int(((Active*)single_instance_576_4_0)->x, ((Active*)single_instance_576_4_0)->y, ((Active*)get_instance(player_66_instances))->x + 0, ((Active*)get_instance(player_66_instances))->y + 0));
        ((Active*)((Active*)single_instance_576_4_0))->force_speed(100);
    }
    event_576_4_end: ;
}
void Frames::event_func_720()
{
    // event 577_4
    {
        // group: Evil Eye
        spawnerevileye_219_instances.clear_selection();
        for (ObjectIterator it(spawnerevileye_219_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (0))) { it.deselect(); continue; }
        }
        if (!spawnerevileye_219_instances.has_selection()) goto event_577_4_end;
        for (ObjectIterator it(spawnerevileye_219_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 1); // 'spawner-evileye'
        }
    }
    event_577_4_end: ;
}
void Frames::event_func_721()
{
    // event 578_4
    {
        // group: Evil Eye
        spawnersnipereye_220_instances.clear_selection();
        for (ObjectIterator it(spawnersnipereye_220_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (0))) { it.deselect(); continue; }
        }
        if (!spawnersnipereye_220_instances.has_selection()) goto event_578_4_end;
        for (ObjectIterator it(spawnersnipereye_220_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.sub(0, 1); // 'spawner-snipereye'
        }
    }
    event_578_4_end: ;
}
void Frames::event_func_722()
{
    // event 579_4
    {
        // group: Evil Eye
        enemyevileye_218_instances.clear_selection();
        if (!check_not_overlap(enemyevileye_218_instances, screen_122_instances)) goto event_579_4_end;
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(8)) == (1))) { it.deselect(); continue; }
        }
        if (!enemyevileye_218_instances.has_selection()) goto event_579_4_end;
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(9, 0); // 'enemy-evileye'
        }
    }
    event_579_4_end: ;
}
void Frames::event_func_723()
{
    // event 580_4
    {
        // group: Evil Eye
        enemyevileye_218_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(8)) == (1))) { it.deselect(); continue; }
            if (!(((Active*)(*it))->is_animation_finished(14))) { it.deselect(); continue; }
        }
        if (!enemyevileye_218_instances.has_selection()) goto event_580_4_end;
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_580_4_end: ;
}
void Frames::event_func_724()
{
    // event 581_4
    {
        // group: Evil Eye
        enemyevileye_218_instances.clear_selection();
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(8)) == (0))) { it.deselect(); continue; }
            if (!(((Active*)(*it))->is_animation_finished(14))) { it.deselect(); continue; }
        }
        if (!enemyevileye_218_instances.has_selection()) goto event_581_4_end;
        for (ObjectIterator it(enemyevileye_218_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_581_4_end: ;
}
void Frames::event_func_725()
{
    // event 591_4
    {
        // group: Disappearing Blocks
        if (!(is_player_pressed_once(1, CONTROL_BUTTON1))) goto event_591_4_end;
        detector_67_instances.clear_selection();
        dissappear_127_instances.clear_selection();
        if (!check_overlap(detector_67_instances, dissappear_127_instances)) goto event_591_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(8)) == (0))) goto event_591_4_end;
        for (ObjectIterator it(dissappear_127_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_127_instances.has_selection()) goto event_591_4_end;
        ((Active*)get_instance(player_66_instances))->alterables->values.set(0, -10); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(2, 1); // 'Player'
    }
    event_591_4_end: ;
}
void Frames::event_func_726()
{
    // event 592_4
    {
        // group: Disappearing Blocks
        detector_67_instances.clear_selection();
        dissappear_127_instances.clear_selection();
        if (!check_overlap(detector_67_instances, dissappear_127_instances)) goto event_592_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_592_4_end;
        for (ObjectIterator it(dissappear_127_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_127_instances.has_selection()) goto event_592_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(0);
        }
    }
    event_592_4_end: ;
}
void Frames::event_func_727()
{
    // event 593_4
    {
        // group: Disappearing Blocks
        detector_67_instances.clear_selection();
        dissappear_127_instances.clear_selection();
        if (!check_overlap(detector_67_instances, dissappear_127_instances)) goto event_593_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) == (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_593_4_end;
        for (ObjectIterator it(dissappear_127_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_127_instances.has_selection()) goto event_593_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(15);
        }
    }
    event_593_4_end: ;
}
void Frames::event_func_728()
{
    // event 594_4
    {
        // group: Disappearing Blocks
        detector_67_instances.clear_selection();
        dissappear_127_instances.clear_selection();
        if (!check_overlap(detector_67_instances, dissappear_127_instances)) goto event_594_4_end;
        if (!((((Active*)get_instance(player_66_instances))->alterables->values.get(0)) >= (0))) goto event_594_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) <= (0))) { it.deselect(); continue; }
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_594_4_end;
        for (ObjectIterator it(dissappear_127_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_127_instances.has_selection()) goto event_594_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(1);
        }
    }
    event_594_4_end: ;
}
void Frames::event_func_729()
{
    // event 595_4
    {
        // group: Disappearing Blocks
        detector_67_instances.clear_selection();
        dissappear_127_instances.clear_selection();
        if (!check_overlap(detector_67_instances, dissappear_127_instances)) goto event_595_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_595_4_end;
        if (!(is_player_pressed_once(1, CONTROL_BUTTON2))) goto event_595_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (((Active*)(*it))->test_animation(21)) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_595_4_end;
        for (ObjectIterator it(dissappear_127_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_127_instances.has_selection()) goto event_595_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
            ((Active*)*it)->alterables->values.set(2, 55); // 'Sprite'
            ((Active*)*it)->start_animation();
        }
    }
    event_595_4_end: ;
}
void Frames::event_func_730()
{
    // event 596_4
    {
        // group: Disappearing Blocks
        detector_67_instances.clear_selection();
        dissappear_127_instances.clear_selection();
        if (!check_overlap(detector_67_instances, dissappear_127_instances)) goto event_596_4_end;
        sprite_72_instances.clear_selection();
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) != (0))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(2)) > (0))) { it.deselect(); continue; }
        }
        if (!sprite_72_instances.has_selection()) goto event_596_4_end;
        for (ObjectIterator it(dissappear_127_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_127_instances.has_selection()) goto event_596_4_end;
        for (ObjectIterator it(sprite_72_instances); !it.end(); ++it) {
            ((Active*)*it)->force_animation(16);
        }
    }
    event_596_4_end: ;
}
void Frames::event_func_731()
{
    // event 598_4
    {
        // group: Disappearing Blocks
        dissappear_127_instances.clear_selection();
        for (ObjectIterator it(dissappear_127_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(1)) == (1))) { it.deselect(); continue; }
        }
        if (!dissappear_127_instances.has_selection()) goto event_598_4_end;
        for (ObjectIterator it(dissappear_127_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.add(0, 1); // 'dissappear'
        }
    }
    event_598_4_end: ;
}
void Frames::event_func_732()
{
    // event 599_4
    {
        // group: Disappearing Blocks
        dissappear_127_instances.clear_selection();
        for (ObjectIterator it(dissappear_127_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (30))) { it.deselect(); continue; }
            if (!((((Active*)(*it))->alterables->values.get(0)) <= (111))) { it.deselect(); continue; }
        }
        if (!dissappear_127_instances.has_selection()) goto event_599_4_end;
        for (ObjectIterator it(dissappear_127_instances); !it.end(); ++it) {
            ((Active*)*it)->blend_color.set_alpha_coefficient(230);
            ((Active*)*it)->alterables->values.set(2, 1); // 'dissappear'
        }
    }
    event_599_4_end: ;
}
void Frames::event_func_733()
{
    // event 600_4
    {
        // group: Disappearing Blocks
        dissappear_127_instances.clear_selection();
        for (ObjectIterator it(dissappear_127_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(0)) > (111))) { it.deselect(); continue; }
        }
        if (!dissappear_127_instances.has_selection()) goto event_600_4_end;
        for (ObjectIterator it(dissappear_127_instances); !it.end(); ++it) {
            ((Active*)*it)->alterables->values.set(1, 0); // 'dissappear'
            ((Active*)*it)->blend_color.set_alpha_coefficient(0);
            ((Active*)*it)->alterables->values.set(0, 0); // 'dissappear'
            ((Active*)*it)->alterables->values.set(2, 0); // 'dissappear'
        }
    }
    event_600_4_end: ;
}
void Frames::event_func_734()
{
    // event 601_4
    {
        // group: Disappearing Blocks
        player_66_instances.clear_selection();
        dissappear_127_instances.clear_selection();
        if (!check_overlap(player_66_instances, dissappear_127_instances)) goto event_601_4_end;
        for (ObjectIterator it(dissappear_127_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_127_instances.has_selection()) goto event_601_4_end;
        if (!((((Active*)get_instance(player_66_instances))->get_y()) >= (((Active*)get_single(dissappear_127_instances, default_active_instance))->get_y()+18))) goto event_601_4_end;
        ((Active*)get_instance(player_66_instances))->set_y(((Active*)get_instance(player_66_instances))->get_y()+(((Active*)get_instance(player_66_instances))->get_y()-((Active*)get_single(dissappear_127_instances, default_active_instance))->get_y())-16);
        ((Active*)get_instance(player_66_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_601_4_end: ;
}
void Frames::event_func_735()
{
    // event 602_4
    {
        // group: Disappearing Blocks
        player_66_instances.clear_selection();
        dissappear_127_instances.clear_selection();
        if (!check_overlap(player_66_instances, dissappear_127_instances)) goto event_602_4_end;
        for (ObjectIterator it(dissappear_127_instances); !it.end(); ++it) {
            if (!((((Active*)(*it))->alterables->values.get(2)) == (0))) { it.deselect(); continue; }
        }
        if (!dissappear_127_instances.has_selection()) goto event_602_4_end;
        if (!((((Active*)get_instance(player_66_instances))->get_y()) < (((Active*)get_single(dissappear_127_instances, default_active_instance))->get_y()+18))) goto event_602_4_end;
        ((Active*)get_instance(player_66_instances))->set_y(((Active*)get_instance(player_66_instances))->get_y()-(((Active*)get_instance(player_66_instances))->get_y()-((Active*)get_single(dissappear_127_instances, default_active_instance))->get_y())-22);
        ((Active*)get_instance(player_66_instances))->alterables->values.set(7, 34); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(4, 0); // 'Player'
        ((Active*)get_instance(player_66_instances))->alterables->values.set(9, 75); // 'Player'
    }
    event_602_4_end: ;
}
void Frames::event_func_736()
{
    // event 603_4
    {
        // group: Bullet Redirectors
        sendup_128_instances.clear_selection();
        for (ObjectIterator it(sendup_128_instances); !it.end(); ++it) {
            ((Active*)*it)->set_scale(((Active*)*it)->alterables->values.get(0));
        }
        sendright_130_instances.clear_selection();
        for (ObjectIterator it(sendright_130_instances); !it.end(); ++it) {
            ((Active*)*it)->set_scale(((Active*)*it)->alterables->values.get(0));
        }
        senddown_131_instances.clear_selection();
        for (ObjectIterator it(senddown_131_instances); !it.end(); ++it) {
            ((Active*)*it)->set_scale(((Active*)*it)->alterables->values.get(0));
        }
        sendleft_132_instances.clear_selection();
        for (ObjectIterator it(sendleft_132_instances); !it.end(); ++it) {
            ((Active*)*it)->set_scale(((Active*)*it)->alterables->values.get(0));
        }
    }
    event_603_4_end: ;
}
